<?php defined('BASEPATH') or exit('No direct scripts access allowed.');



if (!function_exists('pawanmail')) {

  function pawanmail($user_data, $sendCopy = null, $from_name = null, $from_email = nll, $attachment = null, $extra = null)

  {

    $CI = get_instance();
    $CI->load->model('Crud', 'crud');
    $CI->load->library('phpmailer_lib');
    $mail = $CI->phpmailer_lib->load();

    $message_body_email_header = '<html><head><style type="text/css" title="x-apple-mail-formatting"></style><meta name="viewport" content="width = 375, initial-scale = -1"></head><body width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; height: 100%; width: 100%; font-family: &quot;Helvetica Neue&quot;, sans-serif; margin: 0 auto; padding: 0;" bgcolor="#f0f0f0"><body width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; height: 100%; width: 100%; font-family: &quot;Helvetica Neue&quot;, sans-serif; margin: 0 auto; padding: 0;" bgcolor="#f0f0f0"><table class="email-canvas" cellpadding="0" cellspacing="0" border="0" height="100%" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; margin: 0 auto;" bgcolor="#f0f0f0"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td valign="top" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt;"><center style="width: 100%; -ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><div class="email-wrapper" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; max-width: 90%; margin: auto;"><!--[if (gte mso 9)|(IE)]><table cellspacing="0" cellpadding="0" border="0" width="600" align="center"><tr><td><![endif]--><table class="email-header" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; max-width: 90%; margin: 0 auto;"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; font-family: &quot;Helvetica Neue&quot;, sans-serif; color: #999; font-size: 13px; line-height: 1.6; padding: 20px 0;" align="center">';
    $message_body_email_header .= '<a href="';
    $message_body_email_header .= base_url();
    $message_body_email_header .= '" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; color: #757575; text-decoration: none;"><img id="headerImage" src="';
    $message_body_email_header .= base_url($CI->crud->getSetting('websiteLogo'));
    $message_body_email_header .= '" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; height: auto; line-height: 100%; outline: none; text-decoration: none; -ms-interpolation-mode: bicubic; max-width: 90% !important; border: 0; border-radius:10px;"></a></td></tr></tbody></table>';
    $message_body_email_body = '<table class="email-body" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; max-width: 90%; margin: 0 auto;" bgcolor="#ffffff"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt;"><table border="0" cellpadding="30" cellspacing="0" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; margin: 0 auto;"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td valign="top" class="email-body-content" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; font-family: &quot;Helvetica Neue&quot;, sans-serif; color: #444; font-size: 14px; line-height: 150%;"><div id="greeting" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; margin-bottom: 20px; padding-bottom: 25px; border-bottom-width: 1px; border-bottom-color: #eee; border-bottom-style: solid;"><table border="0" cellpadding="0" cellspacing="0" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; margin: 0 auto;"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt;">';
    $message_body_email_body .= '<h1 class="greeting" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; font-family: &quot;Helvetica Neue&quot;, sans-serif; color: #444; display: block; font-size: 18px; font-weight: 500; line-height: 1.3; margin: 0;text-align:center;">';
    $message_body_email_body .= $user_data['email_header_userinput'];
    $message_body_email_body .= '</h1></td></tr></tbody></table></div>';
    $message_body_email_body .= '<p style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; margin-top: 15px; margin-bottom: 15px; font-size: 16px; line-height: 1.5; color: #555;text-align:center;">';
    $message_body_email_body .= $user_data['email_summery'];
    $message_body_email_body .= '</p>';
    $message_body_email_body .= '<p style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; margin-top: 15px; margin-bottom: 15px; font-size: 16px; line-height: 1.5; color: #555;text-align:center;">';
    $message_body_email_body .= $user_data['email_content'];
    $message_body_email_body .= '</p><br /><p style="text-align:center;">Have a great day!</p><p style="text-align:center;">The ' . $CI->crud->getSetting('websiteName') . ' Team</p>';
    $message_body_email_body .= '</td></tr></tbody></table></td></tr></tbody></table>';
    $message_body_email_footer = '<table class="email-footer" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border-spacing: 0; border-collapse: collapse; max-width: 90%; margin: 0 auto;"><tbody><tr style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><td style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; font-family: &quot;Helvetica Neue&quot;, sans-serif; color: #999; font-size: 13px; line-height: 1.6; padding: 30px 5%;" align="center"><div class="address" style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; margin-top: 10px;">';
    $message_body_email_footer .= $CI->crud->getSetting('websiteName');
    $message_body_email_footer .= ' <br />';
    $message_body_email_footer .= $CI->crud->getSetting('contactPhoneNumber');
    $message_body_email_footer .= ' &nbsp; | &nbsp;';
    $message_body_email_footer .= $CI->crud->getSetting('contactEmailAddress');
    $message_body_email_footer .= ' <br />';
    $message_body_email_footer .= $CI->crud->getSetting('contactAdress');
    $message_body_email_footer .= '<div style="text-align:center;"><a href="' . base_url('unsubscribe/' . $user_data['to']) . '">Unsubscribe</a></div>';
    $message_body_email_footer .= '</div><br style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"><br style="-ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;"></td></tr></tbody></table><!--[if (gte mso 9)|(IE)]></td></tr></table><![endif]--></div></center></td></tr></tbody></table></body></html><br><br>';

    $message = $message_body_email_header . $message_body_email_body . $message_body_email_footer;

    // SMTP configuration
    $mail->isSMTP();
    $mail->Host     = 'mail.iastructe.co.in';
    $mail->SMTPAuth = false;
    $mail->SMTPAutoTLS = false;
    $mail->Port     = 25;

    if (!empty($from_name) && !empty($from_email)) {
      $mail->setFrom($from_email, ucwords($from_name));
    } else {
      $mail->setFrom('no-reply@iastructe.co.in', $CI->crud->getSetting('websiteNameShort'));
    }


    if ($extra != null) {
      $mail->addReplyTo($extra['email'], $extra['name']);
    }

    // Add a recipient
    $mail->addAddress($user_data['to']);

    if ($sendCopy != null) {
      $mail->addCC($sendCopy);
      // $mail->addBCC('bcc@example.com');
    }

    // Email subject
    $mail->Subject = $user_data['subject'];

    // Set email format to HTML
    $mail->isHTML(true);

    // Email body content
    $mail->Body = $message;

    if ($mail->send()) {
      return true;
    } else {
      return false;
    }
  }
}
