<section class="newsletter bc-gray pd-135">
  <div class="custom-container">
    <div class="dflex news-wrap">
      <div class="flex-1 child-equal">
        <img class="img-responsive" src="<?=base_url('assets/')?>img/newsletter.png" width="100%" height="193" alt="Newsletter Image">
      </div>
      <div class="flex-1 child-news flex-col center-50">
        <h4 class="fs-24"><?=$this->crud->gc('msfan2KId6oklM35') ?></h4>
        <!-- <form class="form-news dflex mid-center" id="newsletterForm"> -->
         <div class="form-news dflex mid-center" id="newsletterForm">
        <input class="flex-1 news-input mr-5" type="email" id="subscriberEmail" placeholder="Enter your email address" required="">
        <input class="comm-btn susb-btn" type="button" id="subscriberEmailBtn" value="Sign me up">
        </div>
        <!-- </form> -->
        <div id="newsletterResponse"></div>
      </div>
    </div>
  </div>
</section>
<footer class="footer">
  <div class="custom-container">
    <div class="flex-col gap-80">
      <div class="flex-js-b flex-end">
        <div class="brand-text">
          <a href="<?=base_url()?>"><img src="<?=base_url('assets/')?>img/accel.svg" height="32" alt="Logo"></a>
          <p class="color-gray mt-24">
            <?=$this->crud->gc('FYdH9JctfU4mMOjp') ?>
          </p>
        </div>
        <div>
        <a class="color-black" href="mailto:contact@accelrealestate.co.th">
          <span class="mr-15">
            <svg
            xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
            <path d="M22.5 4.36011H1.5V19.6301H22.5V4.36011Z" stroke="#717171" stroke-width="1.5"
            stroke-miterlimit="10" />
            <path d="M1.5 4.36011L12 14.8601L22.5 4.36011" stroke="#717171" stroke-width="1.5"
            stroke-miterlimit="10" />
          </svg>
        </span>
        Contact@accelrealestate.co.th
      </a>
      
       <ul class="dflex gap-1 mt-15">
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('whatsapp') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-whatsapp.svg" width="32"  alt="whatsapp icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('instagram') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-instagram.svg" width="28"  alt="instagram icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('wechat') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-wechat.svg" width="32"  alt="wechat icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('facebook') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-fb-messanger.svg" width="32"  alt="facebook icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('line') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-line.svg" width="32"  alt="line icons">
        </a>
      </li>
    </ul>
      
      
      </div>
    </div>
    <div class="mid-footer">
      <h4 class="mb-32 fs-32">quick links</h4>
      <div class="flex-js-b">
        <div class="f-widget-link">
          <ul class="flex-col">
            <li><a href="<?=base_url()?>">Home</a></li>
            <li><a href="<?=base_url('about.html')?>">About</a></li>
            <li><a href="<?=base_url('contact.html')?>">Contact</a></li>
          </ul>
        </div>
        <div class="f-widget-link">
          <ul class="flex-col">
            <li><a href="<?=base_url('buy.html')?>">Buy</a></li>
            <li><a href="<?=base_url('rent.html')?>">Rent</a></li>
            <li><a href="<?=base_url('about.html')?>">About</a></li>
          </ul>
        </div>
        <div class="f-widget-link">
          <ul class="flex-col">
            <li class="dflex">
              <div class="address-icon mr-15">
                <svg width="24" height="24" xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 576 512">
                <path
                d="M575.8 255.5c0 18-15 32.1-32 32.1l-32 0 .7 160.2c0 2.7-.2 5.4-.5 8.1l0 16.2c0 22.1-17.9 40-40 40l-16 0c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1L416 512l-24 0c-22.1 0-40-17.9-40-40l0-24 0-64c0-17.7-14.3-32-32-32l-64 0c-17.7 0-32 14.3-32 32l0 64 0 24c0 22.1-17.9 40-40 40l-24 0-31.9 0c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2l-16 0c-22.1 0-40-17.9-40-40l0-112c0-.9 0-1.9 .1-2.8l0-69.7-32 0c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
              </svg>
            </div>
            <div>
            <p>Accel Real Estate Co., Ltd 30 Soi Sukhumvit 61, Khwaeng Khlong Tan Nuea, Khet
              Watthana, Bangkok 10110
            </p>
            
           
            
            
            </div>
          </li>
          <!--
          <li>  <div class="address-icon">
          <i class="far fa-envelope-open"></i>
        </div>
        <p><a href="mailto:contact@accelrealestate.co.th">Contact@accelrealestate.co.th</a></p></li>
      -->
    </ul>
    
    
     
    
    
    
  </div>
</div>
</div>
<div class="copy-right p-tb f-14 color-gray-2">
  Copyright 2024 Accel. All rights reserved
</div>
</div>
</div>
</footer>

<div class="help-connection">
  <div class="media-connection mb-10 ">
    <p class="mb-10">Reach out to us on...</p>
    <ul class="flex-js-b gap-1">
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('whatsapp') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-whatsapp.svg" width="32"  alt="whatsapp icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('instagram') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-instagram.svg" width="28"  alt="instagram icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('wechat') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-wechat.svg" width="32"  alt="wechat icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('facebook') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-fb-messanger.svg" width="32"  alt="facebook icons">
        </a>
      </li>
      <li class="icons-help">
        <a href="<?=$this->crud->getSetting('line') ?>" target="_blank">
          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icons-line.svg" width="32"  alt="line icons">
        </a>
      </li>
    </ul>
  </div>
  <div class="wpk-needs">
    <span class="help-txt">Need help ?</span>
    <a href="javascript:void(0);" class="img-chat">
      <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-dott-chat.svg" width="45"  alt="chat icons">
    </a>
  </div>
</div>
<script type="text/javascript" src="<?=base_url('assets/')?>js/custom.js"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<?php if ($this->session->flashdata('type') && $this->session->flashdata('title') && $this->session->flashdata('msg')) {?>
  <script>
  $(document).ready(function(){
    swal({
      title: "<?=$this->session->flashdata('title') ?>",
      text: "<?=$this->session->flashdata('msg') ?>",
      icon: "<?=$this->session->flashdata('type') ?>",
      button: false,
      timer: 2500
    });
  });
</script>
<?php } ?>
<script type="text/javascript">
function googleTranslateElementInit() {
  new google.translate.TranslateElement({pageLanguage: 'en', includedLanguages: 'en,th'}, 'google_translate_element');
}
</script>
<script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
<script>
    function googleTranslateElementInit() {
            new google.translate.TranslateElement({
                pageLanguage: 'en', // Default language is English
                includedLanguages: 'en,th,zh-CN,ru', // English, Thai, Chinese, Russian
                layout: google.translate.TranslateElement.InlineLayout.SIMPLE
            }, 'google_translate_element');
        }

        // Function to change dropdown labels after the widget loads
        function customizeTranslateDropdown() {
            const interval = setInterval(() => {
                const dropdown = document.querySelector('.goog-te-combo');
                if (dropdown) {
                    const options = dropdown.options;
                    for (let i = 0; i < options.length; i++) {
                        if (options[i].value === 'zh-CN') {
                            options[i].text = 'Chinese'; // Modify label for Chinese
                        }
                    }
                    clearInterval(interval); // Stop checking after the dropdown is modified
                }
            }, 100); // Check every 100ms until dropdown is loaded
        }

        // Call customization function after the Translate element is initialized
        window.onload = function () {
            googleTranslateElementInit();
            customizeTranslateDropdown();
        };
</script>
<script>
$('#subscriberEmailBtn').on('click', function() {
  let email = $('#subscriberEmail').val();
  if (email === '') {
    $('#newsletterResponse').html('<span style="color:red;">Email is required.</span>');
    return;
  }
  $.ajax({
    url: '<?=base_url('process-subscriber-email')?>',
    method: 'POST',
    data: { email: email },
    success: function(response) {
      let res = JSON.parse(response);
      if (res.status === 'success') {
        $('#subscriberEmail').val('');
        $('#newsletterResponse').html('<span style="color:green;">You have successfully subscribed!</span>');
      } else {
        $('#newsletterResponse').html('<span style="color:red;">' + res.message + '</span>');
      }
    },
    error: function() {
      $('#newsletterResponse').html('<span style="color:red;">Something went wrong. Please try again.</span>');
    }
  });
});
</script>
<?php if (isset($_SESSION['su'])): ?>
  <!-- Modal -->
  <div id="contentModal" class="modal">
    <div class="modal-content" style="width:100%;max-width:40vw;">
      <div class="modal-header">Edit Content</div>
      <?=form_open(base_url('update-content')) ?>
      <textarea id="contentBox" name="content"></textarea>
      <input type="hidden" name="cid" id="cencid">
      <input type="hidden" name="ru" value="<?=hashed(current_url()) ?>">
      <button type="submit" class="save-btn" >Update Content</button>
      <?=form_close() ?>
    </div>
  </div>
<?php endif; ?>
</body>
</html>
