<section class="hero-filter pos-relative">
  <img src="<?=base_url('assets/')?>img/banner-filter.png" alt="" class="banner-three__dotted" style="object-fit: cover;width: 100%;">
  <div class="custom-container">
    <div class="dflex hero-search">
      <div class="filter-home">
        <h1 class="home-hero"><?=$this->crud->gc('I5iRXVs7cyotbZuf') ?></h1>
        <?=form_open(base_url('search.html'),['class'=>'form-hero dflex']) ?>
        <div class="dflex wrap-filter">
          <div class="center-flex home-filter pos-relative">
            <div class="button-filter center-flex">
              <input type="radio" id="buy-radio" name="buyrent" value="buy" required />
              <label class="btn-default-input" for="buy-radio">Buy</label>
            </div>
          </div>
          <div class="center-flex home-filter pos-relative">
            <div class="button-filter center-flex">
              <input type="radio" id="rent-radio"  name="buyrent" value="rent" required />
              <label class="btn-default-input" for="rent-radio">Rent</label>
            </div>
          </div>
          <div class="home-filter pos-relative">
            <select class="index-input selectpicker" data-live-search="true" id="all-location" name="location" aria-label="Default select location">
              <option value="default" selected>Select Location</option>
              <?php foreach ($this->crud->getDataAll('locations', 'title', 'asc') as $location): ?>
                <option value="<?=$location->uri ?>"><?=$location->title ?></option>
              <?php endforeach; ?>
            </select>
          </div>
          <div class="home-filter pos-relative">
            <button class="comm-btn nowclick" type="submit" name="submit-form">Search</button>
          </div>
        </div>
        <?=form_close() ?>
        <a class="call-adv-filter color-white dflex" href="javascript:void(0);">
          enable advance search
          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
            <path d="M10 17C13.866 17 17 13.866 17 10C17 6.13401 13.866 3 10 3C6.13401 3 3 6.13401 3 10C3 13.866 6.13401 17 10 17Z" stroke="white" stroke-width="1.25" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M6.18164 10H13.8216" stroke="white" stroke-width="1.25" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M10 6.17993V13.8199" stroke="white" stroke-width="1.25" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
        </a>
      </div>
      <!-- new advance --->
      <div class="filter-advance-div">
        <div class="flex-acenter mb-10 flex-js-b">
          <h2 class="fs-24">Advance Search</h2>
          <span class="toclose">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="#222222" d="M18.36 19.78L12 13.41l-6.36 6.37l-1.42-1.42L10.59 12L4.22 5.64l1.42-1.42L12 10.59l6.36-6.36l1.41 1.41L13.41 12l6.36 6.36z"/></svg>
          </span>
        </div>
        <?=form_open(base_url('search.html'),['class'=>'homefilter filter-dp gap-8']) ?>
        <div class="div-filter">
          <label for="PropertyType">Property</label>
          <select class="form-select-input selectpicker" data-live-search="true" id="property-type" name="property_type" aria-label="Default select property type">
             <option value="default" selected>Select Property Type</option>
            <?php foreach ($this->crud->getDataAll('property_list', 'title', 'asc') as $property_list): ?>
              <option value="<?=$property_list->title ?>"><?=$property_list->title ?></option>
            <?php endforeach; ?>
          </select>
        </div>
        <!-- 1 -->
        <div class="div-filter">
          <label for="buyrent2">Property Type</label>
          <select class="form-select-input selectpicker" data-live-search="true" id="buyrent2" name="buyrent" aria-label="Default select buy or rent" required>
             <option value="default" selected>Select Property Type</option>
            <option value="buy">Buy</option>
            <option value="rent">Rent</option>
          </select>
        </div>
        <!-- 1 -->
        <div class="div-filter">
          <label for="Bathroom">Bedrooms</label>
          <select class="form-select-input" id="bedrooms" name="bedrooms" aria-label="Default select bedrooms">
              <option value="default" selected>Select Bedrooms</option>
            <?php for($i=1; $i <= 10; $i++){ ?>
              <option value="<?=$i ?>" <?=($i == 1)?'selected':null ?>><?=$i ?></option>
            <?php } ?>
          </select>
        </div>
        <div class="div-filter">
          <label for="Bathroom">Bathrooms</label>
          <select class="form-select-input" id="bathrooms" name="bathrooms" aria-label="Default select bathrooms">
               <option value="default" selected>Select Bathrooms</option>
            <?php for($i=1; $i <= 10; $i++){ ?>
              <option value="<?=$i ?>" <?=($i == 1)?'selected':null ?>><?=$i ?></option>
            <?php } ?>
          </select>
        </div>
        <!-- 1 -->
        <div class="div-filter0" style="max-width: 100%;">
          <label for="all-location2">Location</label>
          <select class="index-input selectpicker" data-live-search="true" id="all-location2" name="location" aria-label="Default select location" required>
            <option value="default" selected>Select Location</option>
            <?php foreach ($this->crud->getDataAll('locations', 'title', 'asc') as $location): ?>
              <option value="<?=$location->uri ?>"><?=$location->title ?></option>
            <?php endforeach; ?>
          </select>
        </div>
        <div class="w-100">
          <label>Price Range</label>
          <div class="range-slider">
            <input type="text" class="js-range-slider" value="" />
          </div>
          <div class="extra-controls form-inline" style="visibility: hidden;height:0;">
            <div class="form-group">
              <input type="text" name="minbudget" class="js-input-from form-control" value="0" />
              <input type="text" name="maxbudget" class="js-input-to form-control" value="2000000" />
            </div>
          </div>
        </div>
        <div class="div-filter">
          <button class="comm-btn reset-fm" type="button" name="reset-form">Reset</button>
        </div>
        <!-- 1 -->
        <div class="div-filter">
          <button class="comm-btn nowclick" type="submit" name="submit-form">Apply</button>
        </div>
        <!-- 1 -->
        <?=form_close() ?>
      </div>
      <!-- new ad --->
    </div>
  </div>
</section>
<section class="accel-all all-pop pd-135 bc-gray">
  <div class="custom-container">
    <div class="flex-col gap-135">
      <div class="type-pro">
        <div class="flex-js-b mb-32 flex-acenter">
          <h4 class="fs-18">
            <?=$this->crud->gc('CqzhoNfEH6rFM2sx') ?>
          </h4>
          <a class="link-info" href="<?=base_url('property-list.html')?>">view all</a>
        </div>
        <div  class="grids-3 why-list">
          <?php $lpi = 1; foreach ($this->crud->getPropertyList(null /* Commercial/Resident */, 'desc' /* order */, 3 /* limit */, null /* for status */) as $lp): ?>
            <!-- listing items <?=$lpi ?> start -->
            <div class="pro-list pos-relative">
              <?php if ($lp->featured_properties == 'yes'): ?>
                <span class="badges set-abs">featured</span>
              <?php endif; ?>
              <?php if (!empty($lp->cover_photo)): ?>
                <img class="img-responsive box-img b-radius-4" src="<?=base_url($lp->cover_photo)?>" width="100%"  alt="<?=$lp->title ?>">
              <?php else: ?>
                <img class="img-responsive box-img b-radius-4" src="<?=base_url('assets/')?>img/locations.png" width="100%"  alt="<?=$lp->title ?>">
              <?php endif; ?>
              <div class="pro-list-info flex-col">
                <p class="typeof-pop color-gray"> for <?=$lp->for_status ?> </p>
                <div class="address-pop">
                  <h2 class="fs-18 "><?=@$lp->title ?></h2>
                  <p class="address-info color-gray"><?=@$this->crud->getDataSingle('locations', $lp->location, 'uri', null)->title ?></p>
                </div>
                <ul class="flex-acenter list-ami">
                  <?php if (!empty($lp->bedrooms)): ?>
                    <li class="flex-acenter ami-list">
                      <span class="ami-icons">
                        <img class="img-responsive b-radius-4" src="<?=base_url('assets/')?>icons/icon-bed.svg" width="24"  height="24" alt="Bed list">
                      </span>
                      <span class="ami-data"><?=$lp->bedrooms ?></span>
                    </li>
                  <?php endif; ?>
                  <?php if (!empty($lp->bathrooms)): ?>
                    <li class="flex-acenter ami-list">
                      <span class="ami-icons">
                        <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-jh.svg" width="24"  height="24" alt="Bed list">
                      </span>
                      <span class="ami-data"><?=$lp->bathrooms ?></span>
                    </li>
                  <?php endif; ?>
                  <?php if (!empty($lp->property_size)): ?>
                    <li class="flex-acenter ami-list">
                      <span class="ami-icons">
                        <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-area.svg" width="24"  height="24" alt="Bed list">
                      </span>
                      <span class="ami-data"><?=$lp->property_size ?> <?=$lp->property_size_matrix ?> </span>
                    </li>
                  <?php endif; ?>
                </ul>
                <p class="ml-price fs-18-sm">
                  ฿ <?=$this->cart->format_number($lp->price ?? 0) ?>
                </p>
                <div class="flex-col clickbtn text-center">
                  <a  class="w-100 btn-100 btn-outline" href="<?=base_url('property/'.$lp->uri.'.html')?>" targrt="_blank"> See Details</a>
                  <!-- <a  class="w-100 btn-100 btn-bg" href="<?=base_url('property/'.$lp->uri.'.html')?>" targrt="_blank"> Inquire Now</a> -->
                </div>
              </div>
            </div>
            <!-- listing items <?=$lpi ?> end -->
            <?php $lpi++; endforeach; ?>
          </div>
        </div>
        <!-- Property for Sale -->
        <div class="type-pro">
          <div class="flex-js-b mb-32 flex-acenter">
            <h4 class="fs-18"><?=$this->crud->gc('8jG6mdkTcBhoy4Rf') ?></h4>
            <a class="link-info" href="<?=base_url('rent.html')?>">view all</a>
          </div>
          <div  class="grids-3 why-list">
            <?php $rpi = 1; foreach ($this->crud->getPropertyList(null /* Commercial/Resident */, 'desc' /* order */, 3 /* limit */, 'rent' /* for status */) as $rp): ?>
              <!-- listing items <?=$rpi ?> start -->
              <div class="pro-list pos-relative">
                <?php if ($rp->featured_properties == 'yes'): ?>
                  <span class="badges set-abs">featured</span>
                <?php endif; ?>
                <?php if (!empty($rp->cover_photo)): ?>
                  <img class="img-responsive box-img b-radius-4" src="<?=base_url($rp->cover_photo)?>" width="100%"  alt="<?=$rp->title ?>">
                <?php else: ?>
                  <img class="img-responsive box-img b-radius-4" src="<?=base_url('assets/')?>img/locations.png" width="100%"  alt="<?=$rp->title ?>">
                <?php endif; ?>
                <div class="pro-list-info flex-col">
                  <p class="typeof-pop color-gray"> for <?=$rp->for_status ?> </p>
                  <div class="address-pop">
                    <h2 class="fs-18 "><?=@$rp->title ?></h2>
                    <p class="address-info color-gray"><?=@$this->crud->getDataSingle('locations', $rp->location, 'uri', null)->title ?></p>
                  </div>
                  <ul class="flex-acenter list-ami">
                    <?php if (!empty($rp->bedrooms)): ?>
                      <li class="flex-acenter ami-list">
                        <span class="ami-icons">
                          <img class="img-responsive b-radius-4" src="<?=base_url('assets/')?>icons/icon-bed.svg" width="24"  height="24" alt="Bed list">
                        </span>
                        <span class="ami-data"><?=$rp->bedrooms ?></span>
                      </li>
                    <?php endif; ?>
                    <?php if (!empty($rp->bathrooms)): ?>
                      <li class="flex-acenter ami-list">
                        <span class="ami-icons">
                          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-jh.svg" width="24"  height="24" alt="Bed list">
                        </span>
                        <span class="ami-data"><?=$rp->bathrooms ?></span>
                      </li>
                    <?php endif; ?>
                    <?php if (!empty($rp->property_size)): ?>
                      <li class="flex-acenter ami-list">
                        <span class="ami-icons">
                          <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-area.svg" width="24"  height="24" alt="Bed list">
                        </span>
                        <span class="ami-data"><?=$rp->property_size ?> <?=$rp->property_size_matrix ?> </span>
                      </li>
                    <?php endif; ?>
                  </ul>
                  <p class="ml-price fs-18-sm">฿ <?=$this->cart->format_number($rp->price ?? 0) ?></p>
                  <div class="flex-col clickbtn text-center">
                    <a  class="w-100 btn-100 btn-outline" href="<?=base_url('property/'.$rp->uri.'.html')?>" targrt="_blank"> See Details</a>
                    <!-- <a  class="w-100 btn-100 btn-bg" href="<?=base_url('property/'.$rp->uri.'.html')?>" targrt="_blank"> Inquire Now</a> -->
                  </div>
                </div>
              </div>
              <!-- listing items <?=$rpi ?> end -->
              <?php $rpi++; endforeach; ?>
            </div>
          </div>
          <!-- Property for Rent -->
          <div class="type-pro">
            <div class="flex-js-b mb-32 flex-acenter">
              <h4 class="fs-18"><?=$this->crud->gc('pU6VlkadhTFcmKuC') ?> </h4>
              <a class="link-info" href="<?=base_url('buy.html')?>">view all</a>
            </div>
            <div  class="grids-3 why-list">
              <?php $bpi = 1; foreach ($this->crud->getPropertyList(null /* Commercial/Resident */, 'desc' /* order */, 3 /* limit */, 'rent' /* for status */) as $bp): ?>
                <!-- listing items <?=$bpi ?> start -->
                <div class="pro-list pos-relative">
                  <?php if ($bp->featured_properties == 'yes'): ?>
                    <span class="badges set-abs">featured</span>
                  <?php endif; ?>
                  <?php if (!empty($bp->cover_photo)): ?>
                    <img class="img-responsive box-img b-radius-4" src="<?=base_url($bp->cover_photo)?>" width="100%"  alt="<?=$bp->title ?>">
                  <?php else: ?>
                    <img class="img-responsive box-img b-radius-4" src="<?=base_url('assets/')?>img/locations.png" width="100%"  alt="<?=$bp->title ?>">
                  <?php endif; ?>
                  <div class="pro-list-info flex-col">
                    <p class="typeof-pop color-gray"> for <?=$bp->for_status ?> </p>
                    <div class="address-pop">
                      <h2 class="fs-18 "><?=@$bp->title ?></h2>
                      <p class="address-info color-gray"><?=@$this->crud->getDataSingle('locations', $bp->location, 'uri', null)->title ?></p>
                    </div>
                    <ul class="flex-acenter list-ami">
                      <?php if (!empty($bp->bedrooms)): ?>
                        <li class="flex-acenter ami-list">
                          <span class="ami-icons">
                            <img class="img-responsive b-radius-4" src="<?=base_url('assets/')?>icons/icon-bed.svg" width="24"  height="24" alt="Bed list">
                          </span>
                          <span class="ami-data"><?=$bp->bedrooms ?></span>
                        </li>
                      <?php endif; ?>
                      <?php if (!empty($bp->bathrooms)): ?>
                        <li class="flex-acenter ami-list">
                          <span class="ami-icons">
                            <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-jh.svg" width="24"  height="24" alt="Bed list">
                          </span>
                          <span class="ami-data"><?=$bp->bathrooms ?></span>
                        </li>
                      <?php endif; ?>
                      <?php if (!empty($bp->property_size)): ?>
                        <li class="flex-acenter ami-list">
                          <span class="ami-icons">
                            <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-area.svg" width="24"  height="24" alt="Bed list">
                          </span>
                          <span class="ami-data"><?=$bp->property_size ?> <?=$bp->property_size_matrix ?> </span>
                        </li>
                      <?php endif; ?>
                    </ul>
                    <p class="ml-price fs-18-sm">฿ <?=$this->cart->format_number($bp->price ?? 0) ?></p>
                    <div class="flex-col clickbtn text-center">
                      <a  class="w-100 btn-100 btn-outline" href="<?=base_url('property/'.$bp->uri.'.html')?>" targrt="_blank"> See Details</a>
                      <!-- <a  class="w-100 btn-100 btn-bg" href="<?=base_url('property/'.$bp->uri.'.html')?>" targrt="_blank"> Inquire Now</a> -->
                    </div>
                  </div>
                </div>
                <!-- listing items <?=$rpi ?> end -->
                <?php $rpi++; endforeach; ?>
              </div>
            </div>
            <!-- Property for Sale -->
          </div>
        </div>
      </section>
      <!-- why us -->
      <section class="sowhy-accel pd-60 pd-60">
        <div class="custom-container">
          <div class="flex-js-b mb-32 flex-acenter">
            <h4 class="fs-24"><?=$this->crud->gc('GlbkCiZd0AgvtEy3') ?></h4>
          </div>
          <div  class="grids-3 why-list">
            <div  class="why-accel">
              <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-home-user.svg" width="64" height="64" alt="Find Property">
              <h4 class="fs-18 mtb-10"><?=$this->crud->gc('HfRwm0kvMa3rYX9y') ?></h4>
              <p class="color-gray"><?=$this->crud->gc('zkAg1XqJWdZRi2jm') ?></p>
            </div>
            <!-- 1 -->
            <div  class="why-accel">
              <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-verified-user.svg" width="64" height="64" alt="Verified Seller">
              <h4 class="fs-18 mtb-10"><?=$this->crud->gc('kPC4qAFt8yu6ILbG') ?></h4>
              <p class="color-gray"><?=$this->crud->gc('Az5vRB8bU0Kkm4Dl') ?></p>
            </div>
            <!-- 1 -->
            <div  class="why-accel">
              <img class="img-responsive" src="<?=base_url('assets/')?>icons/icon-mic.svg" width="64" height="64" alt="Verified Seller">
              <h4 class="fs-18 mtb-10"><?=$this->crud->gc('utSXd3VFwvI0eZyE') ?></h4>
              <p class="color-gray"><?=$this->crud->gc('bPe1vtX4mARBGTiW') ?></p>
            </div>
            <!-- 1 -->
          </div>
        </div>
      </section>
      <!-- location -->
      <section class="Property-lo-post pd-135 bc-gray">
        <div class="custom-container">
          <div class="flex-js-b mb-32 flex-acenter">
            <h4 class="fs-24"><?=$this->crud->gc('S3EKHt4soupZ0wiC') ?></h4>
          </div>
          <div  class="grids-4 pro-lo-list">
            <?php $loi = 1; foreach ($this->crud->getDataAll('locations', 'title', 'ASC') as $loc): ?>
              <!-- item 1 -->
              <div class="pro-lo-item">
                <a href="<?=base_url('location.html?location='.$loc->uri)?>">
                  <div class="pro-lo-thumbs pos-relative">
                    <?php if (file_exists($loc->img)): ?>
                      <img class="img-responsive" src="<?=base_url($loc->img) ?>" alt="<?=$loc->title ?>" style="width:100%;">
                    <?php else: ?>
                      <img class="img-responsive" src="<?=base_url('upload/default/gallery.svg') ?>" alt="<?=$loc->title ?>" style="width:100%;">
                    <?php endif; ?>
                    <div class="pro-lo-title">
                      <h4 class="fs-20 color-white"><?=$loc->title ?></h4>
                      <p class="count-list color-white"> <span class="count-location"><?=$this->crud->getCount('property', 'location', $loc->uri) ?></span> properties listed</p>
                    </div>
                  </div>
                </a>
              </div>
              <!-- item 1 -->
              <?php $loi++; endforeach; ?>
            </div>
          </div>
        </section>
        <!-- Blog -->
        <section class="blog-post pd-60">
          <div class="custom-container">
            <div class="flex-js-b mb-32 flex-acenter">
              <h4 class="fs-24"><?=$this->crud->gc('bLvsztDiwBhV12en') ?></h4>
              <a class="link-info" href="blog.html">view all</a>
            </div>
            <div  class="grids-3 blog-list">
              <?php $i=1; foreach ($this->crud->getDataAll('blog', 'id', 'desc', 3) as $post): ?>
                <!-- item <?=$i ?> -->
                <div class="blog-item">
                  <a href="<?=$post->link ?>" targrt="_blank">
                    <div class="blog-thumbs">
                      <img class="img-responsive" src="<?=base_url($post->photos)?>" alt="<?=$post->title ?>" width="100%">
                    </div>
                    <div class="blog-title mt-15">
                      <p class="tags"> <?=$post->title ?> </p>
                      <h4 class="fs-18"><?=$post->description ?></h4>
                    </div>
                  </a>
                </div>
                <?php $i++; endforeach; ?>
              </div>
            </div>
          </section>
