<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <?=form_open(base_url('superadmin/updateAccount.html'), ['class'=>'form-horizontal']) ?>
            <div class="au-card-title" style="background-image:url('<?=base_url('secure/') ?>images/bg-title-01.jpg');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-user-circle"></i> Update Details - Account
              </h3>
              <!-- <button type="submit" class="au-btn-plus">
              <i class="fas fa-save fa-3x"></i>
            </button> -->
          </div>
          <div class="au-task js-list-load">
            <div class="px-5 py-2 mt-3">
              <div class="card shadow-lg border border-primary mt-3">
                <div class="card-body">
                  <div class="row form-group my-3">
                    <div class="col col-md-12">
                      <div class="input-group">
                        <div class="input-group-btn">
                          <span class="btn btn-primary w-150 text-left py-3">
                            <i class="fa fa-user"></i> Username
                          </span>
                        </div>
                        <input type="text" id="username" value="<?=$this->su->username ?>" placeholder="Username" class="form-control" readonly>
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col col-md-12">
                      <div class="input-group">
                        <div class="input-group-btn">
                          <span class="btn btn-primary w-150 text-left py-3">
                            <i class="fa fa-id-card"></i> First Name
                          </span>
                        </div>
                        <input type="text" id="fname" name="fname" value="<?=$this->su->fname ?>" placeholder="Full Name" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col col-md-12">
                      <div class="input-group">
                        <div class="input-group-btn">
                          <span class="btn btn-primary w-150 text-left py-3">
                            <i class="fa fa-id-card"></i> Last Name
                          </span>
                        </div>
                        <input type="text" id="lname" name="lname" value="<?=$this->su->lname ?>" placeholder="Full Name" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col col-md-12">
                      <div class="input-group">
                        <div class="input-group-btn">
                          <span class="btn btn-primary w-150 text-left py-3">
                            <i class="fa fa-at"></i> Email ID
                          </span>
                        </div>
                        <input type="text" id="email" name="email" value="<?=$this->su->email ?>" placeholder="Email Address" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col col-md-12">
                      <div class="input-group">
                        <div class="input-group-btn">
                          <span class="btn btn-primary w-150 text-left py-3">
                            <i class="fa fa-key"></i> Password
                          </span>
                        </div>
                        <input type="password" id="accountPassword" name="password" value="<?=hashed($this->su->password, 'd') ?>" placeholder="Password" class="form-control">
                        <button type="button" class="btn btn-primary" id="accountPasswordBtn" onclick="toggleAccountPasswordToText()">
                          <i class="fas fa-eye fa-fw" id="accountPasswordIcon"></i>
                        </button>
                      </div>
                    </div>
                  </div>
                  <input type="hidden" name="aid" value="<?=hashed($this->su->id) ?>">
                  <div class="row">
                    <div class="col-md-12">
                      <button type="submit" class="btn btn-primary btn-lg btn-block showLoader">
                        <i class="fas fa-save"></i> Update Account Details
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <?=form_close() ?>
        </div>
      </div>
    </div>
  </div>
  <br>
</div>
</div>
