<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-cog fa-fw fa-spin"></i> <?=$seoTitle ?>
              </h3>
              <a href="<?=base_url('superadmin/testimonials.html')?>" class="au-btn-plus showLoader" data-toggle="tooltip" title="All Testimonials">
                <strong class="text-light" style="font-size:30px;padding-left:15px">◘</strong>
              </a>
          </div>
          <div class="au-task js-list-load">
            <div class="px-3 my-3">
              <div class="mt-3 mb-4">
                
                  <?=form_open(base_url('superadmin/saveTestmonial.html'),['enctype'=>'multipart/form-data']) ?>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="status">
                        Featured Property
                      </div>
                      <div class="input-group">
                        <select class="form-control sl" name="status" id="status" required>
                          <option value="public" selected>Public</option>
                          <option value="draft">Draft</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="name" required>
                        Name
                      </div>
                      <div class="input-group">
                        <input type="text" id="name" name="name" placeholder="Enter name..." class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="position" required>
                        Position
                      </div>
                      <div class="input-group">
                        <input type="text" id="position" name="position" placeholder="Enter position..." class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="rating" required>
                        Rating
                      </div>
                      <div class="input-group">
                        <select class="form-control sl" name="rating" id="rating" required>
                          <option value="5" selected>5 Star</option>
                          <option value="4">4 Star</option>
                          <option value="3">3 Star</option>
                          <option value="2">2 Star</option>
                          <option value="1">1 Star</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="content">
                        Content
                      </div>
                      <div class="input-group w-100">
                        <textarea id="content" name="content" placeholder="Enter content..." class="form-control" required></textarea>
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="photos">
                        Photo
                      </div>
                      <div class="input-group">
                        <input type="file" id="photos" name="photos" placeholder="Upload photo..." class="form-control fileInput" accept="image/*">
                      </div>
                    </div>
                  </div>
                  <div class="row form-group my-3">
                    <div class="col-md-12 d-flex justify-content-center">
                      <button type="submit" class="showLoader btn btn-lg btn-primary w-50 mr-3">
                        <i class="fas fa-save"></i> Save Testimonial
                      </button>
                      <button type="reset" class="btn btn-lg btn-secondary w-50 ml-3">
                        <i class="fas fa-eraser"></i> Clear All
                      </button>
                    </div>
                  </div>
                  
                  <?=form_close() ?>
                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
  