<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <ul class="nav nav-pills  flex-row">
                <li class="nav-item text-left" data-toggle="tooltip" title="Show all blog post" data-placement="top">
                  <a class="nav-link active" data-toggle="tab" href="#blogPost" >
                    <i class="fas fa-rss"></i> Manage Blog
                  </a>
                </li>
                <li class="nav-item text-left" data-toggle="tooltip" title="Create nw blog post" data-placement="top">
                  <a class="nav-link" data-toggle="tab" href="#createPost" >
                    <i class="fas fa-plus"></i> Create Post
                  </a>
                </li>
              </ul>
            </div>
            <div class="au-task js-list-load">
              <div class="px-3 my-3">
                <div class="row">
                  <div class="col-md-12">
                    <div class="tab-content">
                      <div class="tab-pane active " id="blogPost">
                        <div class="table-responsive">
                          <table class="table table-striped table-bordered table-hover table-sm dt">
                            <thead>
                              <tr>
                                <th class="text-center">#</th>
                                <th>Post Title</th>
                                <th>Post Link</th>
                                <th class="text-center">Posted At</th>
                                <th class="text-center">Action</th>
                              </tr>
                            </thead>
                            <tbody>
                              <?php $i=1; foreach ($this->crud->getDataAll('blog', 'id', 'desc') as $post): ?>
                                <tr>
                                  <td class="text-center">
                                    <?=$i ?>
                                  </td>
                                  <td>
                                    <?=$post->title ?>
                                  </td>
                                  <td>
                                    <?=$post->link ?>
                                  </td>
                                  <td  class="text-center" data-toggle="tooltip" title="<?=date('h:iA, d M, Y', strtotime($post->created)) ?>">
                                    <?=daysago($post->created) ?>
                                  </td>
                                  <td class="text-center">
                                    <div class="btn-group">
                                      <a href="<?=base_url('superadmin/editPost/'.$post->id.'.html')?>" class="btn btn-sm btn-secondary" data-toggle="tooltip" title="Edit this post" data-placement="left">
                                        <i class="fas fa-edit"></i>
                                      </a>
                                      <a href="<?=base_url('superadmin/deletePost/'.$post->id.'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-sm btn-danger" data-toggle="tooltip" title="Delete this post" data-placement="left">
                                        <i class="fas fa-trash"></i>
                                      </a>
                                    </div>
                                  </td>
                                </tr>
                                <?php $i++; endforeach; ?>
                              </tbody>
                            </table>
                          </div>
                        </div>
                        <div class="tab-pane  " id="createPost">
                          <?=form_open(base_url('superadmin/saveBlogPost.html'),['enctype'=>'multipart/form-data']) ?>
                          <div class="row form-group my-3">
                            <div class="col-md-12">
                              <div class="label text-secondary" for="title" required>
                                Post Title
                              </div>
                              <div class="input-group">
                                <input type="text" id="title" name="title" placeholder="Enter post title..." class="form-control">
                              </div>
                            </div>
                          </div>
                          <div class="row form-group my-3">
                            <div class="col-md-12">
                              <div class="label text-secondary" for="description" required>
                                Post Description
                              </div>
                              <div class="input-group">
                                <textarea id="description" name="description" placeholder="Enter post description..." class="form-control summernote"></textarea>
                              </div>
                            </div>
                          </div>
                          <div class="row form-group my-3">
                            <div class="col-md-12">
                              <div class="label text-secondary" for="photos">
                                Photo
                              </div>
                              <div class="input-group">
                                <input type="file" id="photos" name="photos" placeholder="Upload photo..." class="form-control fileInput" accept="image/*" required>
                              </div>
                            </div>
                          </div>
                          <div class="row form-group my-3">
                            <div class="col-md-12">
                              <div class="label text-secondary" for="link" >
                                Post Link
                              </div>
                              <div class="input-group">
                                <input type="url" id="link" name="link" placeholder="Enter post link..." class="form-control" required>
                              </div>
                            </div>
                          </div>
                          <div class="row form-group my-3">
                            <div class="col-md-12 d-flex justify-content-center">
                              <button type="submit" class="showLoader btn btn-lg btn-primary w-50 mr-3">
                                <i class="fas fa-save"></i> Save Post
                              </button>
                              <button type="reset" class="btn btn-lg btn-secondary w-50 ml-3">
                                <i class="fas fa-eraser"></i> Clear All
                              </button>
                            </div>
                          </div>

                          <?=form_close() ?>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <br>
    </div>
  </div>
