<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <?//=debug($this->session->userdata()) ?>
      <div class="row m-t-25">
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c1 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-home"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCount('property', 'project_type', 'commercial') ?></h2>
                  <span>Commercial Properties</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c3 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-home"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCount('property', 'project_type', 'residential') ?></h2>
                  <span>Residential Properties</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c2 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-map"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCountAll('locations') ?></h2>
                  <span>Locations</span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row m-t-25">
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c2 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-email"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCount('records', 'type', 'contact') ?></h2>
                  <span>Contact Messages</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c3 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-email"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCount('records', 'type', 'expert') ?></h2>
                  <span>Expert Messages</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-6 col-lg-4">
          <div class="overview-item overview-item--c4 p-3">
            <div class="overview__inner">
              <div class="overview-box clearfix">
                <div class="icon">
                  <i class="zmdi zmdi-email"></i>
                </div>
                <div class="text">
                  <h2><?=$this->crud->getCount('records', 'type', 'pa') ?></h2>
                  <span>Property Attachment Msg.</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php if (isset($_GET['content'])): ?>
          <div class="col-12 my-3">
            <form id="contentForm">
              <div class="col-12">
                <div id="result"></div>
              </div>
              <label for="content">Enter Content:</label>
              <textarea class="form-control sumemrnote" id="content" name="content" required></textarea>
              <button type="submit" class="btn btn-dark">Save Content</button>
            </form>
          </div>
        <?php endif; ?>
      </div>
    </div>
    <br>
  </div>
</div>
