<header class="header-mobile d-block d-lg-none">
  <div class="header-mobile__bar">
    <div class="container-fluid">
      <div class="header-mobile-inner">
        <a class="logo" href="<?=base_url('superadmin.html') ?>">
          <img src="<?=base_url($this->crud->getSetting('websiteLogo')) ?>" class="img-fluid w-75" alt="<?=$this->crud->getSetting('websiteName') ?>" />
        </a>
        <button class="hamburger hamburger--slider" type="button">
          <span class="hamburger-box">
            <span class="hamburger-inner"></span>
          </span>
        </button>
      </div>
    </div>
  </div>
  <nav class="navbar-mobile">
    <div class="container-fluid">
      <ul class="navbar-mobile__list list-unstyled">
        <li <?=($this->uri->segment(1) === 'superadmin' && empty($this->uri->segment(2)) && empty($this->uri->segment(3))) ? 'class="active"' : '' ?>>
          <a href="<?=base_url('superadmin.html') ?>" class="showLoader">
            <i class="fas fa-fw fa-home"></i> Dashboard
          </a>
        </li>
        <li <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'category') ? 'class="active"' : '' ?>>
          <a href="<?=base_url('superadmin/category.html') ?>" class="showLoader">
            <i class="fas fa-fw fa-tags"></i> Category
          </a>
        </li>
        <li <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'addCategory') ? 'class="active"' : '' ?>>
          <a href="<?=base_url('superadmin/addCategory.html') ?>" class="showLoader">
            <i class="fas fa-fw fa-plus"></i> Create Category
          </a>
        </li>
        <li <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'setting') ? 'class="has-sub active"' : 'has-sub' ?>>
          <a class="js-arrow <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'setting') ? 'close"' : '' ?>" href="<?=base_url('superadmin/setting.html') ?>">
            <i class="fas fa-fw fa-cogs"></i> Settings
          </a>
          <ul class="list-unstyled navbar__sub-list js-sub-list" <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'setting') ? 'style="display:block;"' : '' ?>>
            <?php foreach ($this->crud->getDataAll('settings') as $setting): ?>
              <li <?=($this->uri->segment(1) === 'superadmin' && $this->uri->segment(2) === 'setting' && $this->uri->segment(3) === $setting->name) ? 'class="active"' : '' ?>>
                <a href="<?=base_url('superadmin/setting/'.$setting->name.'.html') ?>" class="showLoader">
                  <i class="fas fa-fw fa-<?=$setting->icon ?> fa-fw"></i> <?=$setting->text ?>
                </a>
              </li>
            <?php endforeach; ?>
          </ul>
        </li>
      </ul>
    </div>
  </nav>
</header>
