<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-envelope fa-fw"></i> Showing <span id="dynamicTitle"><strong>Contact Messages</strong></span>
              </h3>
              <?php if ($this->session->userdata('role') == 'admin'): ?>
                <a href="<?=base_url('superadmin/exportContactMessages.html')?>" class="btn btn-primary btn-xs" data-toggle="tooltip" title="Export contact messages" disabled="false" style="transform: scale(0.7);">
                  <strong class="text-light"><i class="fas fa-download"></i> Export</strong>
                </a>
              <?php endif; ?>
            </div>
            <div class="au-task js-list-load">
              <div class="px-3 my-3">
                <div class="row">
                  <!-- <div class="col-md-3">
                    <ul class="nav nav-pills nav-justified flex-column">
                      <li class="nav-item text-left" data-toggle="tooltip" title="Show all contact related messages" data-placement="right">
                        <a class="nav-link active" data-toggle="tab" href="#ContactMessages" onclick="changeHeadingTo('Contact Messages')">
                          <i class="fas fa-inbox"></i> Contact Messages
                        </a>
                      </li>
                      <li class="nav-item text-left" data-toggle="tooltip" title="Show all expert related messages" data-placement="right">
                        <a class="nav-link" data-toggle="tab" href="#ExpertMessages" onclick="changeHeadingTo('Expert Messages')">
                          <i class="fas fa-inbox"></i> Expert Messages
                        </a>
                      </li>
                      <li class="nav-item text-left" data-toggle="tooltip" title="Show all property attachment related messages" data-placement="right">
                        <a class="nav-link" data-toggle="tab" href="#PropertyAttachmentMessages" onclick="changeHeadingTo('Property Attachment Messages')">
                          <i class="fas fa-inbox"></i> PA Messages
                        </a>
                      </li>
                    </ul>
                  </div> -->
                  <div class="col-md-12">
                    <div class="tab-content">
                      <div class="tab-pane active " id="ContactMessages">
                        <div class="table-responsive">
                          <table class="table table-striped table-bordered table-hover table-sm dt">
                            <thead>
                              <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th class="text-center">Received At</th>
                                <th class="text-center">Action</th>
                              </tr>
                            </thead>
                            <tbody>
                              <?php $i=1; foreach ($this->crud->getDataSingle('records', 'contact', 'type', true) as $message): ?>
                                <tr>
                                  <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('contact') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>">
                                    <?=ucwords($message->name) ?>
                                  </td>
                                  <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('contact') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>">
                                    <?=ucwords($message->email) ?>
                                  </td>
                                  <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('contact') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>">
                                    <?=ucwords($message->phone) ?>
                                  </td>
                                  <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('contact') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> text-secondary text-center <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>" data-toggle="tooltip" title="<?=date('h:iA, d M, Y', strtotime($message->created)) ?>">
                                    <?=daysago($message->created) ?>
                                  </td>
                                  <td class="text-center">
                                    <div class="btn-group">
                                      <button type="button" onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('contact') ?>')" class="btn btn-sm btn-primary" data-toggle="tooltip" title="View Message" data-placement="left">
                                        <i class="fas fa-eye"></i>
                                      </button>
                                      <?php if ($message->star === 'no'): ?>
                                        <a href="<?=base_url('superadmin/starMessage/yes/'.hashed($message->id).'.html')?>" class="btn btn-sm btn-secondary" data-toggle="tooltip" title="Mark Message As Important" data-placement="left">
                                          <i class="fas fa-star"></i>
                                        </a>
                                      <?php else: ?>
                                        <a href="<?=base_url('superadmin/starMessage/no/'.hashed($message->id).'.html')?>"  class="btn btn-sm btn-warning" data-toggle="tooltip" title="Mark Message As Unimportant" data-placement="left">
                                          <i class="fas fa-star"></i>
                                        </a>
                                      <?php endif; ?>
                                      <a href="<?=base_url('superadmin/deleteMessage/'.hashed($message->id).'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-sm btn-danger" data-toggle="tooltip" title="View Message" data-placement="left">
                                        <i class="fas fa-trash"></i>
                                      </a>
                                    </div>
                                  </td>
                                </tr>
                                <?php $i++; endforeach; ?>
                              </tbody>
                            </table>
                          </div>
                        </div>
                        <div class="tab-pane container d-none" id="ExpertMessages">
                          <div class="table-responsive">
                            <table class="table table-striped table-bordered table-hover table-sm dt">
                              <thead>
                                <tr>
                                  <th>Message</th>
                                  <th class="text-center">Received At</th>
                                  <th class="text-center">Action</th>
                                </tr>
                              </thead>
                              <tbody>
                                <?php $i=1; foreach ($this->crud->getDataSingle('records', 'expert', 'type', true) as $message): ?>
                                  <tr>
                                    <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('expert') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>">
                                      Message from <?=ucwords($message->name) ?>
                                    </td>
                                    <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('expert') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> text-secondary text-center <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>" data-toggle="tooltip" title="<?=date('h:iA, d M, Y', strtotime($message->created)) ?>">
                                      <?=daysago($message->created) ?>
                                    </td>
                                    <td class="text-center">
                                      <div class="btn-group">
                                        <button type="button" onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('expert') ?>')" class="btn btn-sm btn-primary" data-toggle="tooltip" title="View Message" data-placement="left">
                                          <i class="fas fa-eye"></i>
                                        </button>
                                        <?php if ($message->star === 'no'): ?>
                                          <a href="<?=base_url('superadmin/starMessage/yes/'.hashed($message->id).'.html')?>" class="btn btn-sm btn-secondary" data-toggle="tooltip" title="Mark Message As Important" data-placement="left">
                                            <i class="fas fa-star"></i>
                                          </a>
                                        <?php else: ?>
                                          <a href="<?=base_url('superadmin/starMessage/no/'.hashed($message->id).'.html')?>"  class="btn btn-sm btn-warning" data-toggle="tooltip" title="Mark Message As Unimportant" data-placement="left">
                                            <i class="fas fa-star"></i>
                                          </a>
                                        <?php endif; ?>
                                        <a href="<?=base_url('superadmin/deleteMessage/'.hashed($message->id).'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-sm btn-danger" data-toggle="tooltip" title="View Message" data-placement="left">
                                          <i class="fas fa-trash"></i>
                                        </a>
                                      </div>
                                    </td>
                                  </tr>
                                  <?php $i++; endforeach; ?>
                                </tbody>
                              </table>
                            </div>
                          </div>
                          <div class="tab-pane container d-none" id="PropertyAttachmentMessages">
                            <div class="table-responsive">
                              <table class="table table-striped table-bordered table-hover table-sm dt">
                                <thead>
                                  <tr>
                                    <th>Message</th>
                                    <th class="text-center">Received At</th>
                                    <th class="text-center">Action</th>
                                  </tr>
                                </thead>
                                <tbody>
                                  <?php $i=1; foreach ($this->crud->getDataSingle('records', 'pa', 'type', true) as $message): ?>
                                    <tr>
                                      <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('pa') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>">
                                        Message from <?=ucwords($message->name) ?>
                                      </td>
                                      <td onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('pa') ?>')" style="cursor:pointer" class="box<?=hashed($message->id) ?> text-secondary text-center <?=($message->status === 'unread')?'font-weight-bold':'font-weight-normal' ?>" data-toggle="tooltip" title="<?=date('h:iA, d M, Y', strtotime($message->created)) ?>">
                                        <?=daysago($message->created) ?>
                                      </td>
                                      <td class="text-center">
                                        <div class="btn-group">
                                          <button type="button" onclick="showSingleMessage('<?=hashed($message->id) ?>','<?=hashed('pa') ?>')" class="btn btn-sm btn-primary" data-toggle="tooltip" title="View Message" data-placement="left">
                                            <i class="fas fa-eye"></i>
                                          </button>
                                          <?php if ($message->star === 'no'): ?>
                                            <a href="<?=base_url('superadmin/starMessage/yes/'.hashed($message->id).'.html')?>" class="btn btn-sm btn-secondary" data-toggle="tooltip" title="Mark Message As Important" data-placement="left">
                                              <i class="fas fa-star"></i>
                                            </a>
                                          <?php else: ?>
                                            <a href="<?=base_url('superadmin/starMessage/no/'.hashed($message->id).'.html')?>"  class="btn btn-sm btn-warning" data-toggle="tooltip" title="Mark Message As Unimportant" data-placement="left">
                                              <i class="fas fa-star"></i>
                                            </a>
                                          <?php endif; ?>
                                          <a href="<?=base_url('superadmin/deleteMessage/'.hashed($message->id).'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-sm btn-danger" data-toggle="tooltip" title="View Message" data-placement="left">
                                            <i class="fas fa-trash"></i>
                                          </a>
                                        </div>
                                      </td>
                                    </tr>
                                    <?php $i++; endforeach; ?>
                                  </tbody>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <br>
        </div>
      </div>


      <div class="modal fade" id="singleMessageReaderBox">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title" id="messageSubject">Message Summery</h4>
              <button type="button" class="close" data-dismiss="modal">×</button>
            </div>
            <div class="modal-body p-0" id="messageBody">
              <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin:auto;background:#fff;display:block;" width="200px" height="200px" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="p-5">
                <g transform="translate(50 50)">
                  <g transform="scale(1)">
                    <g transform="translate(-50 -50)">
                      <g>
                        <animateTransform attributeName="transform" type="translate" repeatCount="indefinite" dur="1s" values="-20 -20;20 -20;0 20;-20 -20" keyTimes="0;0.33;0.66;1"></animateTransform>
                        <path fill="#667395" d="M44.19 26.158c-4.817 0-9.345 1.876-12.751 5.282c-3.406 3.406-5.282 7.934-5.282 12.751 c0 4.817 1.876 9.345 5.282 12.751c3.406 3.406 7.934 5.282 12.751 5.282s9.345-1.876 12.751-5.282 c3.406-3.406 5.282-7.934 5.282-12.751c0-4.817-1.876-9.345-5.282-12.751C53.536 28.033 49.007 26.158 44.19 26.158z"></path>
                        <path fill="#292664" d="M78.712 72.492L67.593 61.373l-3.475-3.475c1.621-2.352 2.779-4.926 3.475-7.596c1.044-4.008 1.044-8.23 0-12.238 c-1.048-4.022-3.146-7.827-6.297-10.979C56.572 22.362 50.381 20 44.19 20C38 20 31.809 22.362 27.085 27.085 c-9.447 9.447-9.447 24.763 0 34.21C31.809 66.019 38 68.381 44.19 68.381c4.798 0 9.593-1.425 13.708-4.262l9.695 9.695 l4.899 4.899C73.351 79.571 74.476 80 75.602 80s2.251-0.429 3.11-1.288C80.429 76.994 80.429 74.209 78.712 72.492z M56.942 56.942 c-3.406 3.406-7.934 5.282-12.751 5.282s-9.345-1.876-12.751-5.282c-3.406-3.406-5.282-7.934-5.282-12.751 c0-4.817 1.876-9.345 5.282-12.751c3.406-3.406 7.934-5.282 12.751-5.282c4.817 0 9.345 1.876 12.751 5.282 c3.406 3.406 5.282 7.934 5.282 12.751C62.223 49.007 60.347 53.536 56.942 56.942z"></path>
                      </g>
                    </g>
                  </g>
                </g>
              </svg>
            </div>
          </div>
        </div>
      </div>
