<!-- MAIN CONTENT-->
<div class="main-content">
    <div class="section__content section__content--p30">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="au-card au-card--no-shadow au-card--no-pad">
                        <div class="au-card-title"
                            style="background-image:url('<?= base_url('upload/loginbg..png') ?>');">
                            <div class="bg-overlay bg-overlay--blue"></div>
                            <h3>
                                <i class="fas fa-cog fa-fw fa-spin"></i> <?= $seoTitle ?>
                            </h3>
                            <a href="<?= base_url('superadmin/addProperty.html') ?>" class="au-btn-plus showLoader"
                                data-toggle="tooltip" title="Add Property Listing">
                                <span><i class="fas fa-plus-circle"></i> <span class="d-none d-sm-inline-block">Add
                                        Property List</span></span>
                            </a>
                        </div>
                        <div class="au-task js-list-load">
                            <div class="px-3 my-3">
                                <div class="mt-3 mb-4">
                                    <table class="table dt">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Title</th>
                                                <th>Status</th>
                                                <th class="text-center">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $i = 1;
                      foreach ($prop as $property): ?>
                                            <tr>
                                                <td><?= $i ?></td>
                                                <td class="w-25">
                                                    <?= $property->title ?>
                                                </td>
                                                <td>
                                                    <?= form_open(base_url('superadmin/updatePropertyStatus.html')) ?>
                                                    <div class="d-flex justify-content-center align-item-center">
                                                        <select class="form-control" name="property_status"
                                                            id="property_status">
                                                            <option value="buy"
                                                                <?= ($property->property_status === 'buy') ? 'selected' : null ?>>
                                                                Buy</option>
                                                            <option value="rent"
                                                                <?= ($property->property_status === 'rent') ? 'selected' : null ?>>
                                                                Rent</option>
                                                            <!-- <option value="prerent" <?= ($property->property_status === 'prerent') ? 'selected' : null ?>>Prerent</option>
                                <option value="affordable" <?= ($property->property_status === 'affordable') ? 'selected' : null ?>>Affordable</option> -->
                                                        </select>
                                                        &nbsp;&nbsp;
                                                        <input type="hidden" name="pid"
                                                            value="<?= hashed($property->id) ?>">
                                                        <button type="submit" class="showLoader btn btn-success"><i
                                                                class="fas fa-save"></i></button>
                                                    </div>
                                                    <?= form_close() ?>
                                                </td>
                                                <td class="text-center">
                                                    <a href="<?= base_url('property/' . $property->uri . '.html') ?>"
                                                        class="btn btn-sm btn-primary" target="_blank">
                                                        <i class="fas fa-eye"></i>
                                                    </a>
                                                    <a href="<?= base_url('superadmin/editProperty/' . hashed($property->id) . '.html') ?>"
                                                        class="btn btn-sm btn-warning showLoader">
                                                        <i class="fas fa-edit"></i>
                                                    </a>
                                                    <a href="<?= base_url('superadmin/uploadPropertyVideo/' . hashed($property->id) . '.html') ?>"
                                                        class="btn btn-sm btn-secondary showLoader">
                                                        <i class="fas fa-video"></i>
                                                    </a>
                                                    <a href="<?= base_url('superadmin/manageProperty/uploadPropertyAttachments/' . hashed($property->id) . '.html') ?>"
                                                        class="showLoader btn btn-sm btn-info">
                                                        <i class="fas fa-upload"></i> Property Attachment
                                                    </a>
                                                    <a href="<?= base_url('superadmin/manageProperty/floorPlans/' . hashed($property->id) . '.html') ?>"
                                                        class="showLoader btn btn-sm btn-info">
                                                        <i class="fas fa-upload"></i> Floor Plan
                                                    </a>
                                                    <a href="<?= base_url('superadmin/deleteProperty/' . hashed($property->id) . '.html') ?>"
                                                        class="btn btn-sm btn-danger showLoader"
                                                        onclick="return confirm('Are you sure?')">
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                            <?php $i++;
                      endforeach; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
    </div>
</div>