function getSelectedLanguage() {
      var translateDropdown = document.querySelector(".goog-te-combo");
      if (translateDropdown) {
        translateDropdown.addEventListener('change', function () {
          var selectedLang = translateDropdown.value;
          alert("Selected language: " + selectedLang); // Log the selected language
          // You can now use the selectedLang variable to do other tasks
        });
      }
    }

function setDefaultLanguage() {
      var translateDropdown = document.querySelector(".goog-te-combo");
      if (translateDropdown) {
        translateDropdown.value = 'en'; // Set English as default
        var event = new Event('change'); // Trigger the change event to apply the default
        translateDropdown.dispatchEvent(event);
      }
    }

window.onload = function () {
      setDefaultLanguage();
      getSelectedLanguage();
    };



$(document).ready(function() {
  /*
    $('.tabsv1-ul li').click(function(){
        var tab_id = $(this).attr('data-tab');
        $('.tabsv1-ul li').removeClass('current');
        $('.tab-content').removeClass('current');
        $(this).addClass('current');
        $("#"+tab_id).addClass('current');
    });
    */
    // add all to same gallery
    $(".gallery a").attr("data-fancybox","mygallery");
    // assign captions and title from alt-attributes of images:
    $(".gallery a").each(function(){
      $(this).attr("data-caption", $(this).find("img").attr("alt"));
      $(this).attr("title", $(this).find("img").attr("alt"));
    });
    // start fancybox:
      $(".gallery a").fancybox();
// datetimepicker
      $('.datetimepicker').daterangepicker({
        timePicker: true,
        timePicker24Hour: false,  
        singleDatePicker: true,  
        minDate: moment().startOf('day'),
        //autoUpdateInput: false,
        locale: {
            format: 'YYYY-MM-DD HH:mm:ss'
        },
        opens: 'center',  // Center the calendar
    });


    $('.img-chat').click(function(event) {
        event.stopPropagation(); // Prevent the click from bubbling up
        $('.help-txt').toggleClass('active');
        $('.media-connection').toggleClass('active');
    });

    $(document).click(function(event) {
        // Check if the clicked target is not the elements you want to toggle
        if (!$(event.target).closest('.img-chat, .help-txt, .media-connection').length) {
            $('.help-txt').removeClass('active');
            $('.media-connection').removeClass('active');
        }
    });


  });



  
/* faq */
document.addEventListener('DOMContentLoaded', function() {


   // Initialize Choices.js for all elements with class 'selectpicker'
  var elements = document.querySelectorAll('.selectpicker');
  elements.forEach(function(element) {
    var choices = new Choices(element, {
      placeholderValue: 'Pick an option...',
      removeItemButton: false,
      searchEnabled: true,
      shouldSort: false,
      maxItemCount: 3,
      searchPlaceholderValue: 'Search in list...',
      duplicateItemsAllowed: false, // Prevent duplicate items
    });

    // Event listener for when an item is removed
    element.addEventListener('removeItem', function() {
      if (choices.getValue(true).length === 0) {
        // Re-select the default option if no items are left
        choices.setChoiceByValue('default');
      }
    });
  });



//faq
    const faqContainers = document.querySelectorAll('.faq-container');
    faqContainers.forEach(container => {
        const questions = container.querySelectorAll('.faq-question');
        questions.forEach(question => {
            question.addEventListener('click', () => {
                question.classList.toggle('active');
                const answer = question.nextElementSibling;
                const icon = question.querySelector('.icon');
                if (question.classList.contains('active')) {
                    answer.style.maxHeight = answer.scrollHeight + 'px';
                    icon.classList.replace('fa-plus', 'fa-minus');
                } else {
                    answer.style.maxHeight = 0;
                    icon.classList.replace('fa-minus', 'fa-plus');
                }
            });
        });
    });
});
/* scroll */
window.addEventListener('scroll', function() {
    var header = document.querySelector('.header-v1');
    if (window.scrollY > 0) {
        header.classList.add('scrolled');
    } else {
        header.classList.remove('scrolled');
    }
});
// menu toogle

function toggleMenu(menuToggleSelector, menuSelector, bodyClass) {
    const menuToggle = document.querySelector(menuToggleSelector);
    const menu = document.querySelector(menuSelector);
    const body = document.body;

    // Add an event listener to the toggle button
    menuToggle.addEventListener('click', () => {
        // Toggle the 'active' class on the menu
        menu.classList.toggle('active');
        menuToggle.classList.toggle('active');
        
        // Toggle the specified class on the body to prevent scrolling
        if (bodyClass) {
            body.classList.toggle(bodyClass);
        }
    });
}
toggleMenu('.menuToggle', '.mobileview', 'no-scroll');

// Reusable function to handle the active class
/*function setActiveClass(selector) {
    const listItems = document.querySelectorAll(selector);
    listItems.forEach(item => {
        item.addEventListener('click', function() {
            listItems.forEach(i => i.classList.remove('active'));
            this.classList.add('active');
        });
    });
}

setActiveClass('.nav-ul .nav-li'); 

*/




function toggleFilter(triggerSelector, filterSelector, closeSelector) {
    const triggerElement = document.querySelector(triggerSelector);
    const filterElement = document.querySelector(filterSelector);
    const closeElement = document.querySelector(closeSelector);

    // Check if the elements exist on the page
    if (triggerElement && filterElement && closeElement) {
        triggerElement.addEventListener('click', function() {
            filterElement.classList.add('active');
        });
        closeElement.addEventListener('click', function() {
            filterElement.classList.remove('active');
        });
    } else {
        // Optionally log a message or silently ignore it
        console.log('One or more elements are not present on this page.');
    }
}

// Execute the function when the DOM is loaded
document.addEventListener('DOMContentLoaded', function() {
    toggleFilter('.call-adv-filter', '.filter-advance-div', '.toclose');
});




