<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Contact extends CI_Controller{
  public function index()
  {
    // debug(hashed('mypasswordis@10031989'),true);
    $this->load->helper('text');
    $config['page'] = 'contact';
    $config['seoTitle'] = 'Contact - Accel';
    $config['seoDesc'] = 'Contact - Accel';
    $config['seoKeys'] = 'Contact - Accel';
    $this->load->view('frontend/common/header',$config);
    $this->load->view('frontend/contact');
    $this->load->view('frontend/common/footer');
  }
  public function process()
  {
    // debug($this->input->post(),true);
    if ($this->input->server('REQUEST_METHOD') === 'POST') {
      if (!empty($this->input->post('form_name')) && !empty($this->input->post('form_phone')) && !empty($this->input->post('form_email')) && !empty($this->input->post('form_message'))) {
        $uri = hashed($this->input->post('ru'),'d');
        $data['pid'] = null;
        $data['name'] = $this->input->post('form_name');
        $data['phone'] = $this->input->post('form_phone');
        $data['email'] = $this->input->post('form_email');
        $data['message'] = $this->input->post('form_message');
        $data['subject'] = 'Message recieved from '.$data['name'];
        $data['type'] = 'contact';
        $data['status'] = 'unread';
        $data['created'] = date('Y-m-d H:i:s');
        // debug($data,true);
        if ($this->crud->save('records', $data, null)) {
          $this->session->set_flashdata('type', 'success');
          $this->session->set_flashdata('title', 'Message Sent!');
          $this->session->set_flashdata('msg', 'The message has been sent successfully.');
        } else {
          $this->session->set_flashdata('type', 'error');
          $this->session->set_flashdata('title', 'Error Occured!');
          $this->session->set_flashdata('msg', 'Unable to process your request!');
        }
      } else {
        $this->session->set_flashdata('type', 'warning');
        $this->session->set_flashdata('title', 'Required Fields!');
        $this->session->set_flashdata('msg', 'Please fill out all required fields!');
      }
      return redirect(base_url('contact-us.html'));
    } else {
      $this->session->set_flashdata('type', 'error');
      $this->session->set_flashdata('title', 'Error');
      $this->session->set_flashdata('msg', 'No direct script access allowed.');
      return redirect(base_url());
    }
  }
  public function expertProcess()
  {
    if ($this->input->server('REQUEST_METHOD') === 'POST') {
      if (!empty($this->input->post('name')) && !empty($this->input->post('phone')) && !empty($this->input->post('email'))) {
        $uri = hashed($this->input->post('ru'),'d');
        $data['name'] = $this->input->post('name');
        $data['phone'] = $this->input->post('phone');
        $data['email'] = $this->input->post('email');
        $data['type'] = 'expert';
        $data['status'] = 'unread';
        $data['created'] = date('Y-m-d H:i:s');
        if ($this->crud->save('records', $data, null)) {
          $this->session->set_flashdata('type', 'success');
          $this->session->set_flashdata('title', 'Request Sent!');
          $this->session->set_flashdata('msg', 'The request has been sent successfully.');
          $this->session->set_userdata('expertMessageSent', true);
        } else {
          $this->session->set_flashdata('type', 'error');
          $this->session->set_flashdata('title', 'Error Occured!');
          $this->session->set_flashdata('msg', 'Unable to process your request!');
        }
      } else {
        $this->session->set_flashdata('type', 'warning');
        $this->session->set_flashdata('title', 'Required Fields!');
        $this->session->set_flashdata('msg', 'Please fill out all required fields!');
      }
      return redirect($uri);
    } else {
      $this->session->set_flashdata('type', 'error');
      $this->session->set_flashdata('title', 'Error');
      $this->session->set_flashdata('msg', 'No direct script access allowed.');
      return redirect(base_url());
    }
  }
}
?>
