<!-- MAIN CONTENT-->
<div class="main-content">
    <div class="section__content section__content--p30">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="au-card au-card--no-shadow au-card--no-pad">
                        <!-- style="background-image:url('<//?=base_url('upload/loginbg..png') ?>');" -->
                        <div class="au-card-title">
                            <div class="bg-overlay bg-overlay--blue"></div>
                            <h3>
                                <i class="fas fa-cog fa-fw fa-spin"></i> <?= $seoTitle ?>
                            </h3>
                            <a href="<?= base_url('superadmin/addProperty.html') ?>" class="au-btn-plus showLoader"
                                data-toggle="tooltip" title="Add Property Listing">
                                <span><i class="fas fa-plus-circle"></i> <span class="d-none d-sm-inline-block">Add
                                        Property List</span></span>
                            </a>
                        </div>
                        <div class="au-task js-list-load">
                            <div class="px-3 my-3">
                                <div class="mt-3 mb-4">
                                    <?= form_open(base_url('superadmin/saveProperty.html'), ['enctype' => 'multipart/form-data']) ?>
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="project_type">
                                                Project Type
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="project_type" id="project_type">
                                                    <option value="commercial" selected>Commercial Project</option>
                                                    <option value="residential">Residential Project</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="location">
                                                Property Location
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="location" id="location">
                                                    <?php foreach ($this->crud->getDataAll('locations', 'title', 'ASC') as $location): ?>
                                                    <option value="<?= $location->uri ?>">
                                                        <?= ucwords($location->title) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="featured_properties">
                                                Featured Property
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="featured_properties"
                                                    id="featured_properties">
                                                    <option value="yes">Yes, It is a featured property</option>
                                                    <option value="no">No, It is not a featured property</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_type">
                                                Property Type
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="property_type" id="property_type">
                                                    <?php foreach ($this->crud->getDataAll('property_list', 'title', 'ASC') as $pl): ?>
                                                    <option value="<?= $pl->title ?>"><?= ucwords($pl->title) ?>
                                                    </option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_status">
                                                Property Status
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="property_status"
                                                    id="property_status">
                                                    <option value="buy">Buy</option>
                                                    <option value="rent">Rent</option>
                                                    <!-- <option value="sale">sale</option>
                          <option value="prerent">Pre-Rent</option>
                          <option value="affordable">Affordable</option> -->
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="prop_title">
                                                Property Title
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="prop_title" name="title"
                                                    placeholder="Enter title..." class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="prop_uri">
                                                Property URI / Vanity URL
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="prop_uri" name="uri"
                                                    placeholder="Enter vanity URL..." class="form-control">
                                            </div>
                                            <div class="demoCustomURIText"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="description">
                                                Property Description
                                            </div>
                                            <div class="input-group w-100">
                                                <textarea id="description" name="description"
                                                    placeholder="Upload cover photo..."
                                                    class="form-control summernote"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                          <div class="label text-secondary" for="addresss">
                                              Property Complete Address
                                          </div>
                                          <div class="input-group w-100">
                                              <textarea id="addresss" name="address"
                                                  placeholder="Enter property address..."
                                                  class="form-control"></textarea>
                                          </div>
                                        </div>
                                        <div class="col-md-6">
                                          <div class="label text-secondary" for="address_map">
                                              Google Map Embeded Code
                                          </div>
                                          <div class="input-group w-100">
                                              <textarea id="address_map" name="address_map"
                                                  placeholder="Enter google map URL..."
                                                  class="form-control"></textarea>
                                          </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_id">
                                                Property ID
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="property_id" name="property_id"
                                                    placeholder="Enter property ID..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="price">
                                                Property Price
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="price" name="price" placeholder="Enter price..."
                                                    class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="price_rent">
                                                Property Price(Rent)
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="price_rent" name="price_rent"
                                                    placeholder="Enter price(Rent)..." class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <!--  -->
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="property_size">
                                                Property Size
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="property_size" name="property_size"
                                                    placeholder="Enter size..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="property_size_matrix">
                                                Size
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control" id="property_size_matrix"
                                                    name="property_size_matrix">
                                                    <option value="sqm">Sqm</option>
                                                    <option value="tarangwa">Tarangwa</option>
                                                    <option value="rai">Rai</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="discount_message">
                                                Property Highlight
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="discount_message" name="discount_message"
                                                    placeholder="Property Highlight" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <!-- <div class="col-md-4">
                      <div class="label text-secondary" for="year_built">
                        Property Year Built
                      </div>
                      <div class="input-group">
                        <input type="text" id="year_built" name="year_built" placeholder="Enter year built..." class="form-control">
                      </div>
                    </div> -->

                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="bedrooms">
                                                Bedrooms
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="bedrooms" name="bedrooms"
                                                    placeholder="Enter number of bedrooms..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="bathrooms">
                                                Bathrooms
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="bathrooms" name="bathrooms"
                                                    placeholder="Enter number of bathrooms..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="parking">
                                                Parking Spot
                                            </div>
                                            <div class="input-group">
                                                <input type="number" id="parking" name="parking"
                                                    placeholder="Enter number of parking..." class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-6">
                      <div class="label text-secondary" for="garage">
                        Garage
                      </div>
                      <div class="input-group">
                        <input type="text" id="garage" name="garage" placeholder="Enter garage..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="label text-secondary" for="garage_size">
                        Garage Size
                      </div>
                      <div class="input-group">
                        <input type="text" id="garage_size" name="garage_size" placeholder="Enter garage size..." class="form-control">
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-4">
                      <div class="label text-secondary" for="deposit">
                        Property Deposit Amount
                      </div>
                      <div class="input-group">
                        <input type="text" id="deposit" name="deposit" placeholder="Enter deposit amount..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="label text-secondary" for="last_remodel_year">
                        Property Last Remodel Year
                      </div>
                      <div class="input-group">
                        <input type="text" id="last_remodel_year" name="last_remodel_year" placeholder="Enter last remodel year..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="label text-secondary" for="pool_size">
                        Pool Size
                      </div>
                      <div class="input-group">
                        <input type="text" id="pool_size" name="pool_size" placeholder="Enter pool size..." class="form-control">
                      </div>
                    </div>
                  </div> -->
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="amenities">
                                                Amenities
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="amenities[]" id="amenities"
                                                    multiple>
                                                    <?php foreach ($this->crud->getDataAll('features', 'title', 'ASC') as $pl): ?>
                                                    <option value="<?= $pl->title ?>"><?= ucwords($pl->title) ?>
                                                    </option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="places_nearby">
                        Nearby Places
                      </div>
                      <div class="input-group">
                        <select class="form-control sl" name="places_nearby[]" id="places_nearby" multiple>
                          <?php foreach ($this->crud->getDataAll('places_nearby', 'title', 'ASC') as $pn): ?>
                            <option value="<?= $pn->title ?>"><?= ucwords($pn->title) ?></option>
                          <?php endforeach; ?>
                        </select>
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="equipment">
                        Equipment
                      </div>
                      <div class="input-group">
                        <select class="form-control sl" name="equipment[]" id="equipment" multiple>
                          <?php foreach ($this->crud->getDataAll('features', 'title', 'ASC') as $pl): ?>
                            <option value="<?= $pl->title ?>"><?= ucwords($pl->title) ?></option>
                          <?php endforeach; ?>
                        </select>
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-6">
                      <div class="label text-secondary" for="additional_rooms">
                        Additional Rooms
                      </div>
                      <div class="input-group">
                        <input type="text" id="additional_rooms" name="additional_rooms" placeholder="Enter additional rooms..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="label text-secondary" for="ready_to_move">
                        Ready To Move
                      </div>
                      <div class="input-group">
                        <input type="text" id="ready_to_move" name="ready_to_move" placeholder="Enter about ready to move..." class="form-control">
                      </div>
                    </div>
                  </div> -->
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="cover_photo">
                                                Property Cover Photo (300 X 275)
                                            </div>
                                            <div class="input-group">
                                                <input type="file" id="cover_photo" name="cover_photo"
                                                    placeholder="Upload cover photo..." class="form-control fileInput"
                                                    accept="image/*">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="photo_gallery">
                                                Property Gallery Photos
                                            </div>
                                            <div class="input-group">
                                                <input type="file" id="photo_gallery" name="photo_gallery[]"
                                                    placeholder="Upload other photos..."
                                                    class="form-control fileInputMultiple" accept="image/*" multiple>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <button type="submit" class="au-btn-plus showLoader w-25 mr-3">
                                                <i class="fas fa-save"></i> Save Listing
                                            </button>
                                            <button type="reset" class="au-btn-plus other-btn w-25 ml-3">
                                                <i class="fas fa-eraser"></i> Clear All
                                            </button>
                                        </div>
                                    </div>
                                    <?= form_close() ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
    </div>
</div>
