<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <ul class="nav nav-pills  flex-row">
                <li class="nav-item text-left" data-toggle="tooltip" title="Edit post" data-placement="top">
                  <a class="nav-link active" data-toggle="tab" href="#blogPost" >
                    <i class="fas fa-edit"></i> Edit Post: <?=$post->title ?>
                  </a>
                </li>
                <li class="nav-item text-left" data-toggle="tooltip" title="Show all posts" data-placement="top">
                  <a class="nav-link" href="<?=base_url('superadmin/blog.html')?>" >
                    <i class="fas fa-rss"></i> All Post
                  </a>
                </li>
              </ul>
            </div>
            <div class="au-task js-list-load">
              <div class="px-3 my-3">
                <div class="row">
                  <div class="col-md-12">
                    <div class="tab-content">
                      <div class="tab-pane active " id="blogPost">
                        <?=form_open(base_url('superadmin/updateBlogPost.html'),['enctype'=>'multipart/form-data']) ?>
                        <div class="row form-group my-3">
                          <div class="col-md-12">
                            <div class="label text-secondary" for="title" >
                              Post Title
                            </div>
                            <div class="input-group">
                              <input type="text" id="title" name="title" value="<?=$post->title ?>" placeholder="Enter post title..." class="form-control">
                            </div>
                          </div>
                        </div>
                        <div class="row form-group my-3">
                          <div class="col-md-12">
                            <div class="label text-secondary" for="description" >
                              Post Description
                            </div>
                            <div class="input-group">
                              <textarea id="description" name="description" placeholder="Enter post description..." class="form-control summernote"><?=$post->description ?></textarea>
                            </div>
                          </div>
                        </div>
                        <div class="row form-group my-3">
                          <div class="col-md-12">
                            <div>
                              <img src="<?=base_url($post->photos)?>" alt="<?=$post->title ?>" class="img img-thumbnail" style="height:150px;width:auto;">
                            </div>
                            <div class="label text-secondary" for="photos">
                              Photo
                            </div>
                            <div class="input-group">
                              <input type="file" id="photos" name="photos" placeholder="Upload photo..." class="form-control fileInput" accept="image/*" >
                            </div>
                          </div>
                        </div>
                        <div class="row form-group my-3">
                          <div class="col-md-12">
                            <div class="label text-secondary" for="link" >
                              Post Link
                            </div>
                            <div class="input-group">
                              <input type="url" id="link" name="link" value="<?=$post->link ?>" placeholder="Enter post link..." class="form-control">
                            </div>
                          </div>
                        </div>
                        <div class="row form-group my-3">
                          <div class="col-md-12 d-flex justify-content-center">
                            <input type="hidden" name="id" value="<?=$post->id ?>">
                            <button type="submit" class="showLoader btn btn-lg btn-primary w-50 mr-3">
                              <i class="fas fa-save"></i> Update Post
                            </button>
                            <button type="reset" class="btn btn-lg btn-secondary w-50 ml-3">
                              <i class="fas fa-eraser"></i> Clear All
                            </button>
                          </div>
                        </div>

                        <?=form_close() ?>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
