<!-- MAIN CONTENT-->
<div class="main-content">
    <div class="section__content section__content--p30">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="au-card au-card--no-shadow au-card--no-pad">
                        <div class="au-card-title"
                            style="background-image:url('<?= base_url('upload/loginbg..png') ?>');">
                            <div class="bg-overlay bg-overlay--blue"></div>
                            <h3>
                                <i class="fas fa-cog fa-fw fa-spin"></i> <?= $seoTitle ?>:
                                <strong><?= $prp->title ?></strong>
                                <a href="<?= base_url('property/' . $prp->uri . '.html') ?>" class="btn btn-sm"
                                    data-toggle="tooltip" title="Click here to view listing" target="_blank"><i
                                        class="fas fa-link"></i></a>
                            </h3>
                            <a href="<?= base_url('superadmin/manageProperty.html') ?>" class="au-btn-plus showLoader"
                                data-toggle="tooltip" title="Add Property Listing">
                                <span><i class="fas fa-plus-circle"></i> <span class="d-none d-sm-inline-block">Add
                                        Property List</span></span>
                            </a>
                        </div>
                        <div class="au-task js-list-load">
                            <div class="px-3 my-3">
                                <div class="card mt-3 border-0">
                                    <ul class="nav nav-pills nav-justified">
                                     <li class="nav-item" data-toggle="tooltip" title="Edit Property">
                      <a class="nav-link showLoader <?= ($this->uri->segment(2) === 'editProperty') ? 'active' : '' ?>" href="<?= base_url('superadmin/editProperty/' . hashed($prp->id) . '.html') ?>"><i class="fas fa-edit fa-fw"></i> Edit Property</a>
                    </li>
                                         <li class="nav-item" data-toggle="tooltip" title="Upload Property Related Videos">
                      <a class="nav-link showLoader <?= ($this->uri->segment(2) === 'uploadPropertyVideo') ? 'active' : '' ?>" href="<?= base_url('superadmin/uploadPropertyVideo/' . hashed($prp->id) . '.html') ?>"><i class="fas fa-video fa-fw"></i> Upload Video</a>
                    </li>
                    <li class="nav-item" data-toggle="tooltip" title="Upload Property Attachments">
                      <a class="nav-link showLoader <?= ($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'uploadPropertyAttachments') ? 'active' : '' ?>" href="<?= base_url('superadmin/manageProperty/uploadPropertyAttachments/' . hashed($prp->id) . '.html') ?>"><i class="fas fa-upload fa-fw"></i> Prp. Attachment</a>
                    </li>
                    <li class="nav-item" data-toggle="tooltip" title="Upload Floor Plan">
                      <a class="nav-link showLoader <?= ($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'floorPlans') ? 'active' : '' ?>" href="<?= base_url('superadmin/manageProperty/floorPlans/' . hashed($prp->id) . '.html') ?>"><i class="fas fa-plus fa-fw"></i> Floor Plan</a>
                    </li>
                    <li class="nav-item" data-toggle="tooltip" title="All Property Listing">
                      <a class="nav-link showLoader <?= ($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'allPropertyList') ? 'active' : '' ?>" href="<?= base_url('superadmin/manageProperty/allPropertyList.html') ?>"><i class="fas fa-th fa-fw"></i> All Listing</a>
                    </li>
                                    </ul>
                                </div>
                                <div class="mt-3 mb-4">
                                    <?= form_open(base_url('superadmin/updateProperty.html'), ['enctype' => 'multipart/form-data']) ?>
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="project_type">
                                                Project Type
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="project_type" id="project_type">
                                                    <option value="commercial"
                                                        <?= ($prp->project_type === 'commercial') ? 'selected' : null ?>>
                                                        Commercial Project</option>
                                                    <option value="residential"
                                                        <?= ($prp->project_type === 'residential') ? 'selected' : null ?>>
                                                        Residential Project</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="location">
                                                Property Location
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="location" id="location">
                                                    <?php foreach ($this->crud->getDataAll('locations', 'title', 'ASC') as $location): ?>
                                                    <option value="<?= $location->uri ?>"
                                                        <?= ($prp->location === $location->uri) ? 'selected' : null ?>>
                                                        <?= ucwords($location->title) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="featured_properties">
                                                Featured Property
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="featured_properties"
                                                    id="featured_properties">
                                                    <option value="yes"
                                                        <?= ($prp->featured_properties === 'yes') ? 'selected' : null ?>>
                                                        Yes, It is a featured property</option>
                                                    <option value="no"
                                                        <?= ($prp->featured_properties === 'no') ? 'selected' : null ?>>
                                                        No, It is not a featured property</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_type">
                                                Property Type
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="property_type" id="property_type">
                                                    <?php foreach ($this->crud->getDataAll('property_list', 'title', 'ASC') as $pl): ?>
                                                    <option value="<?= $pl->title ?>"
                                                        <?= ($prp->property_type === $pl->title) ? 'selected' : null ?>>
                                                        <?= ucwords($pl->title) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_status">
                                                Property Status
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control sl" name="property_status"
                                                    id="property_status">
                                                    <option value="rent"
                                                        <?= ($prp->property_status === 'buy') ? 'selected' : null ?>>Buy
                                                    </option>
                                                    <option value="rent"
                                                        <?= ($prp->property_status === 'rent') ? 'selected' : null ?>>
                                                        Rent</option>
                                                    <!-- <option value="sale" <?= ($prp->property_status === 'sale') ? 'selected' : null ?>>Sale</option>
                          <option value="prerent" <?= ($prp->property_status === 'prerent') ? 'selected' : null ?>>Pre-Rent</option>
                          <option value="affordable" <?= ($prp->property_status === 'affordable') ? 'selected' : null ?>>Affordable</option> -->
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="prop_title">
                                                Property Title
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="prop_title" name="title"
                                                    value="<?= $prp->title ?>" placeholder="Enter title..."
                                                    class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="prop_uri">
                                                Property URI / Vanity URL
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="prop_uri" name="uri" value="<?= $prp->uri ?>"
                                                    placeholder="Enter vanity URL..." class="form-control">
                                            </div>
                                            <div class="demoCustomURIText"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="description">
                                                Property Description
                                            </div>
                                            <div class="input-group w-100">
                                                <textarea id="description" name="description"
                                                    placeholder="Upload cover photo..."
                                                    class="form-control summernote"><?= $prp->description ?></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                          <div class="label text-secondary" for="addresss">
                                              Property Complete Address
                                          </div>
                                          <div class="input-group w-100">
                                              <textarea id="addresss" name="address"
                                                  placeholder="Enter property address..."
                                                  class="form-control"><?= $prp->address ?></textarea>
                                          </div>
                                        </div>
                                        <div class="col-md-6">
                                          <div class="label text-secondary" for="address_map">
                                              Google Map Embeded Code
                                          </div>
                                          <div class="input-group w-100">
                                              <textarea id="address_map" name="address_map"
                                                  placeholder="Enter google map URL..."
                                                  class="form-control"><?= $prp->address_map ?></textarea>
                                          </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="property_id">
                                                Property ID
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="property_id" name="property_id"
                                                    value="<?= $prp->property_id ?>" placeholder="Enter property ID..."
                                                    class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="price">
                                                Property Price
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="price" name="price" value="<?= $prp->price ?>"
                                                    placeholder="Enter price..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="price_rent">
                                                Property Price(Rent)
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="price_rent" name="price_rent"
                                                    value="<?= $prp->price_rent ?>" placeholder="Enter price(Rent)..."
                                                    class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="property_size">
                                                Property Size
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="property_size" name="property_size"
                                                    value="<?= $prp->property_size ?>" placeholder="Enter size..."
                                                    class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="label text-secondary" for="property_size_matrix">
                                                Size
                                            </div>
                                            <div class="input-group">
                                                <select class="form-control" id="property_size_matrix"
                                                    name="property_size_matrix">
                                                    <option value="sqm"
                                                        <?= $prp->property_size_matrix == 'sqm' ? 'selected' : null ?>>
                                                        Sqm</option>
                                                    <option value="tarangwa"
                                                        <?= $prp->property_size_matrix == 'tarangwa' ? 'selected' : null ?>>
                                                        Tarangwa</option>
                                                    <option value="rai"
                                                        <?= $prp->property_size_matrix == 'rai' ? 'selected' : null ?>>
                                                        Rai</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="discount_message">
                                                Property Discount Message
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="discount_message" name="discount_message"
                                                    value="<?= $prp->discount_message ?>"
                                                    placeholder="Enter discount message..." class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <!-- <div class="col-md-4">
                      <div class="label text-secondary" for="year_built">
                        Property Year Built
                      </div>
                      <div class="input-group">
                        <input type="text" id="year_built" name="year_built" value="<?= $prp->year_built ?>" placeholder="Enter year built..." class="form-control">
                      </div>
                    </div> -->

                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="bedrooms">
                                                Bedrooms
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="bedrooms" name="bedrooms"
                                                    value="<?= $prp->bedrooms ?>"
                                                    placeholder="Enter number of bedrooms..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="bathrooms">
                                                Bathrooms
                                            </div>
                                            <div class="input-group">
                                                <input type="text" id="bathrooms" name="bathrooms"
                                                    value="<?= $prp->bathrooms ?>"
                                                    placeholder="Enter number of bathrooms..." class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="label text-secondary" for="parking">
                                                Parking Spot
                                            </div>
                                            <div class="input-group">
                                                <input type="number" id="parking" name="parking"
                                                    placeholder="Enter number of parking..." class="form-control"
                                                    value="<?= $prp->parking ?>">
                                                <select id="parking" name="parking" class="form-control">
                                                    <option value="yes"
                                                        <?= $prp->parking == 'yes' ? 'selected' : null ?>>Yes</option>
                                                    <option value="no" <?= $prp->parking == 'no' ? 'selected' : null ?>>
                                                        No</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-6">
                      <div class="label text-secondary" for="garage">
                        Garage
                      </div>
                      <div class="input-group">
                        <input type="text" id="garage" name="garage" value="<?= $prp->garage ?>" placeholder="Enter garage..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="label text-secondary" for="garage_size">
                        Garage Size
                      </div>
                      <div class="input-group">
                        <input type="text" id="garage_size" name="garage_size" value="<?= $prp->garage_size ?>" placeholder="Enter garage size..." class="form-control">
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-4">
                      <div class="label text-secondary" for="deposit">
                        Property Deposit Amount
                      </div>
                      <div class="input-group">
                        <input type="text" id="deposit" name="deposit" value="<?= $prp->deposit ?>" placeholder="Enter deposit amount..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="label text-secondary" for="last_remodel_year">
                        Property Last Remodel Year
                      </div>
                      <div class="input-group">
                        <input type="text" id="last_remodel_year" name="last_remodel_year" value="<?= $prp->last_remodel_year ?>" placeholder="Enter last remodel year..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="label text-secondary" for="pool_size">
                        Pool Size
                      </div>
                      <div class="input-group">
                        <input type="text" id="pool_size" name="pool_size" value="<?= $prp->pool_size ?>" placeholder="Enter pool size..." class="form-control">
                      </div>
                    </div>
                  </div> -->
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="amenities">
                                                Amenities
                                            </div>
                                            <div class="input-group">
                                                <?php $amenitiesArr = explode(',', $prp->amenities) ?>
                                                <select class="form-control sl" name="amenities[]" id="amenities"
                                                    multiple>
                                                    <?php foreach ($this->crud->getDataAll('features', 'title', 'ASC') as $pl): ?>
                                                    <option value="<?= $pl->title ?>"
                                                        <?= (in_array($pl->title, $amenitiesArr)) ? 'selected' : null ?>>
                                                        <?= ucwords($pl->title) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="places_nearby">
                        Nearby Places
                      </div>
                      <div class="input-group">
                        <?php $places_nearbyArr = explode(',', $prp->places_nearby) ?>
                        <select class="form-control sl" name="places_nearby[]" id="places_nearby" multiple>
                          <?php foreach ($this->crud->getDataAll('places_nearby', 'title', 'ASC') as $pn): ?>
                            <option value="<?= $pn->title ?>" <?= (in_array($pn->title, $places_nearbyArr)) ? 'selected' : null ?>><?= ucwords($pn->title) ?></option>
                          <?php endforeach; ?>
                        </select>
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-6">
                      <div class="label text-secondary" for="additional_rooms">
                        Additional Rooms
                      </div>
                      <div class="input-group">
                        <input type="text" id="additional_rooms" name="additional_rooms" value="<?= $prp->additional_rooms ?>" placeholder="Enter additional rooms..." class="form-control">
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="label text-secondary" for="ready_to_move">
                        Ready To Move
                      </div>
                      <div class="input-group">
                        <input type="text" id="ready_to_move" name="ready_to_move" placeholder="Enter about ready to move..." class="form-control" value="<?= $prp->ready_to_move ?>">
                      </div>
                    </div>
                  </div> -->
                                    <!-- <div class="row form-group my-3">
                    <div class="col-md-12">
                      <div class="label text-secondary" for="equipment">
                        Equipment
                      </div>
                      <div class="input-group">
                        <?php $equipmentArr = explode(',', $prp->equipment) ?>
                        <select class="form-control sl" name="equipment[]" id="equipment" multiple>
                          <?php foreach ($this->crud->getDataAll('features', 'title', 'ASC') as $pl): ?>
                            <option value="<?= $pl->title ?>" <?= (in_array($pl->title, $equipmentArr)) ? 'selected' : null ?>><?= ucwords($pl->title) ?></option>
                          <?php endforeach; ?>
                        </select>
                      </div>
                    </div>
                  </div> -->
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="cover_photo">
                                                Property Cover Photo (300 X 275)
                                            </div>
                                            <div class="input-group d-flex flex-column">
                                                <div class="text-center p-3 d-block">
                                                    <img src="<?= base_url($prp->cover_photo) ?>"
                                                        alt="<?= $prp->title ?>" class="img-fluid img-thumbnail"
                                                        style="height:200px;">
                                                </div>
                                                <div class="d-block">
                                                    <input type="file" id="cover_photo" name="cover_photo"
                                                        placeholder="Upload cover photo..."
                                                        class="form-control fileInput" accept="image/*">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12">
                                            <div class="label text-secondary" for="photo_gallery">
                                                Property Gallery Photos
                                            </div>
                                            <div class="input-group">
                                                <input type="file" id="photo_gallery" name="photo_gallery[]"
                                                    placeholder="Upload other photos..."
                                                    class="form-control fileInputMultiple" accept="image/*" multiple>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <?php foreach ($this->crud->getDataSingle('gallery', $prp->id, 'pid', true) as $photo): ?>
                                        <?php if ($photo->type === 'photo'): ?>
                                        <div class="col-md-3" style="position:relative;">
                                            <a href="<?= base_url('superadmin/deletePrpertyGalleryPhoto/' . hashed($prp->id) . '/' . hashed($photo->id) . '.html') ?>"
                                                class="btn btn-sm btn-danger" style="position:absolute;top:0;right:20px"
                                                onclick="return confirm('Are you sure?')">
                                                <i class="fas fa-trash"></i>
                                            </a>
                                            <img src="<?= base_url($photo->src) ?>" alt="<?= $prp->title ?>"
                                                class="img-fluid img-thumbnail w-100"
                                                style="width:100%;height:120px;object-fit:cover;">
                                        </div>
                                        <?php endif; ?>
                                        <?php endforeach; ?>
                                    </div>
                                    <div class="row form-group my-3">
                                        <div class="col-md-12 d-flex justify-content-center">
                                            <input type="hidden" name="pid" value="<?= hashed($prp->id) ?>">
                                            <button type="submit" class="showLoader btn au-btn-plus w-25 mr-3">
                                                <i class="fas fa-save"></i> Update Listing
                                            </button>
                                            <button type="reset" class="btn au-btn-plus w-25 ml-3">
                                                <i class="fas fa-eraser"></i> Clear All
                                            </button>
                                        </div>
                                    </div>
                                    <?= form_close() ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
    </div>
</div>
