<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title><?=(!empty($seoTitle)) ? $seoTitle:'Admin - Dashboard' ?></title>
  <link rel="icon" href="<?=base_url('assets/')?>img/favicon.jpg" type="image/x-icon">
  <link rel="apple-touch-icon" href="<?=base_url('assets/')?>img/favicon.jpg">
  <link rel="shortcut icon" type="image/x-icon" href="<?=base_url('assets/')?>img/favicon.jpg">
  <!-- Fontfaces CSS-->
  <link href="<?=base_url('secure/') ?>vendor/font-awesome-5/css/fontawesome-all.min.css" rel="stylesheet" media="all">
  <!-- Bootstrap CSS-->
  <link href="<?=base_url('secure/') ?>vendor/bootstrap-4.1/bootstrap.min.css" rel="stylesheet" media="all">
  <!-- Vendor CSS-->
  <!-- <link href="<?=base_url('secure/') ?>vendor/datatable/datatables.min.css" rel="stylesheet" media="all">
-->
<link href="https://cdn.datatables.net/1.11.4/css/dataTables.bootstrap4.min.css" rel="stylesheet" media="all">
<!-- <link href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.bootstrap4.min.css" rel="stylesheet" media="all"> -->
<link rel="stylesheet" href="<?=base_url('secure/') ?>vendor/jquery-selectric/selectric.css">
<link rel="stylesheet" href="<?=base_url('secure/') ?>vendor/summernote/summernote-bs4.css">
<!-- <link href="<//?=base_url('secure/') ?>vendor/bootstrap-progressbar/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet" media="all"> -->
<!--
<link href="<//?=base_url('secure/') ?>vendor/wow/animate.css" rel="stylesheet" media="all">
<link href="<//?=base_url('secure/') ?>vendor/css-hamburgers/hamburgers.min.css" rel="stylesheet" media="all">
<link href="<//?=base_url('secure/') ?>vendor/slick/slick.css" rel="stylesheet" media="all">
-->
<link href="<?=base_url('secure/') ?>vendor/select2/select2.min.css" rel="stylesheet" media="all">
<!--<link href="<//?=base_url('secure/') ?>vendor/perfect-scrollbar/perfect-scrollbar.css" rel="stylesheet" media="all"> -->
<link rel="stylesheet" href="https://unpkg.com/dropzone@5/dist/min/dropzone.min.css" type="text/css" />
<!-- Main CSS-->
<link href="<?=base_url('secure/') ?>css/theme.css" rel="stylesheet" media="all">
<!--
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Orbitron">
<link rel="stylesheet" href="<//?=base_url('secure/') ?>css/custom-css.css">
-->
<link rel="stylesheet" href="<?=base_url('secure/') ?>css/custom.css">
<link rel="stylesheet" href="<?=base_url('secure/') ?>vendor/jquery-ui.min.js">
<style media="screen">
.clayBGDark{
  box-shadow: 25px 25px 75px rgb(0 150 100 / 25%), 10px 10px 70px rgb(0 150 100 / 25%), inset 5px 5px 10px rgb(0 150 100 / 50%), inset 5px 5px 10px rgb(255 255 255 / 20%), inset -5px -5px 15px rgb(0 150 100 / 75%);
  /* border-radius: 30px; */
}
.clayBGLight{
  box-shadow: 25px 25px 75px rgb(200 200 200 / 25%), 10px 10px 70px rgb(200 200 200 / 25%), inset 5px 5px 10px rgb(200 200 200 / 50%), inset 5px 5px 10px rgb(255 255 255 / 20%), inset -5px -5px 15px rgb(200 200 200 / 75%);
  /* border-radius: 30px; */
}
.wrap{
  white-space: normal !important;
}
.selectric-wrapper{
  width: 100%;
}
.note-editor{
  width:100%;
}
.select2-container {
  width: 100% !important;
}
.select2-container .select2-selection--single {
  height: 40px;
}
.select2-container--classic .select2-selection--single .select2-selection__rendered {
  line-height: 40px;
}
.select2-container--classic .select2-selection--single .select2-selection__arrow{
  height: 40px;
}
.select2-container--classic .select2-search--inline .select2-search__field {
  width: 100% !important;
}
/* .form-control,.note-editor,.custom-file-input,.select2-container{
background-color: #f7f7f7;
border: 1px solid #aaa;
border-radius: 4px;
outline: 0;
background-image: -webkit-linear-gradient(top, #fff 50%, #eee 100%);
background-image: -o-linear-gradient(top, #fff 50%, #eee 100%);
background-image: linear-gradient(to bottom, #fff 50%, #eee 100%);
background-repeat: repeat-x;
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FFFFFFFF', endColorstr='#FFEEEEEE', GradientType=0);
} */
<?php if ($this->uri->segment(2) === 'uploadPropertyVideo'): ?>
.progress {
  background-color: #3fee8c;
  position: relative;
  margin: 20px;
  height: 1.2rem;
}
.progress-bar {
  background-color: #7eeed8;
  width: 100%;
  height: 1.2rem;
}
progress::-webkit-progress-value {
  background: #3fee8c;
}
progress::-webkit-progress-bar {
  background: #1e1e3c;
}
progress::-moz-progress-bar {
  background: #3fee8c;
}
<?php endif; ?>
</style>
</head>
<body>
  <style>
  .cv-spinner {
    position: fixed;
    top: 50%; left:50%;
    transform: translate(-50%, -50%);
    z-index:9999;
    display:none;
  }
  .spinner {
    width: 40px;
    height: 40px;
    display: block;
    border: 4px #ddd solid;
    border-top: 4px #06486f solid;
    border-radius: 50%;
    animation: sp-anime 0.8s infinite linear;
  }
  @keyframes sp-anime {
    100% {
      transform: rotate(360deg);
    }
  }
  .overlay
  {
    background:rgb(10 10 10 / 20%);
    width:100vw;
    height:100vh;
    z-index:999;
    position:fixed;
    inset:0;
    display:none;
  }
</style>
<div class="overlay" id="loadingBoxOverlay"></div>
<div class="cv-spinner" id="loadingBox">
  <span class="spinner"></span>
</div>
<div class="page-wrapper">
  <!-- HEADER MOBILE-->
  <!-- END HEADER MOBILE-->
  <?php $this->load->view('secure/inc/sidebar-mobile'); ?>
  <!-- MENU SIDEBAR-->
  <?php $this->load->view('secure/inc/sidebar-desktop'); ?>
  <!-- END MENU SIDEBAR-->
  <!-- PAGE CONTAINER-->
  <div class="page-container">
    <!-- HEADER DESKTOP-->
    <?php $this->load->view('secure/inc/topbar'); ?>
    <!-- END HEADER DESKTOP-->
