<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-question-circle fa-fw"></i> <span id="dynamicTitle"><strong>Frequently Asked Questions</strong></span>
              </h3>
              <!-- <a href="<?=base_url('superadmin/manageProperty.html')?>" class="au-btn-plus showLoader" data-toggle="tooltip" title="Add Property Listing">
              <strong class="text-light" style="font-size:30px;padding-left:15px">+</strong>
            </a> -->
          </div>
          <div class="au-task js-list-load">
            <div class="px-3 my-3">
              <div class="row">
                <div class="col-md-12">
                  <div class="tab-content">
                    <div class="tab-pane active" id="ContactMessages">
                      <?=form_open(base_url('superadmin/saveFAQ'),['id'=>'saveFAQform']) ?><?=form_close() ?>
                      <?=form_open(base_url('superadmin/updateFAQ'),['id'=>'updateFAQform']) ?><?=form_close() ?>
                      <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-sm">
                          <thead>
                            <tr>
                              <th class="text-center">#</th>
                              <th>Questions</th>
                              <th>Answers</th>
                              <th class="text-center">Added At</th>
                              <th class="text-center">Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <td class="text-center align-middle" colspan="2">
                                <textarea placeholder="Enter question" class="form-control" name="q" form="saveFAQform"></textarea>
                              </td>
                              <td class="text-center align-middle" colspan="2">
                                <textarea placeholder="Enter answer" class="form-control" name="a" form="saveFAQform"></textarea>
                              </td>
                              <td class="text-center align-middle">
                                <button type="submit" class="btn btn-primary" form="saveFAQform">
                                  <i class="fas fa-save fa-fw"></i> Save
                                </button>
                              </td>
                            </tr>
                            <?php $i=1; foreach ($this->crud->getDataAll('faqs', 'id', 'asc') as $faq): ?>
                              <tr>
                                <td class="align-middle">
                                  <?=$i ?>
                                </td>
                                <td class="align-middle">
                                  <textarea placeholder="Enter question" class="form-control" name="q" form="updateFAQform"><?=$faq->q ?></textarea>
                                </td>
                                <td class="align-middle">
                                  <textarea placeholder="Enter answer" class="form-control" name="a" form="updateFAQform"><?=$faq->a ?></textarea>
                                </td>
                                <td class="text-center align-middle">
                                  <?=daysago($faq->added) ?>
                                </td>
                                <td class="text-center align-middle">
                                  <div class="d-flex justify-content-center">
                                    <input type="hidden" name="id" value="<?=hashed($faq->id) ?>" form="updateFAQform">
                                    <button type="submit" class="btn btn-primary" form="updateFAQform">
                                      <i class="fas fa-save fa-fw"></i> Updated
                                    </button>
                                    <a href="<?=base_url('superadmin/deleteFaq/'.hashed($faq->id).'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-danger">
                                      <i class="fas fa-trash"></i> Delete
                                    </a>
                                  </div>
                                </td>
                              </tr>
                              <?php $i++; endforeach; ?>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
