<!-- MAIN CONTENT-->

<div class="main-content">

  <div class="section__content section__content--p30">

    <div class="container-fluid">

      <div class="row">

        <div class="col-lg-12">

          <div class="au-card au-card--no-shadow au-card--no-pad">

            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">

              <div class="bg-overlay bg-overlay--blue"></div>

              <h3>

                <i class="fas fa-cog fa-fw fa-spin"></i> <?=$seoTitle ?>

              </h3>

              <!-- <button type="submit" class="au-btn-plus">

              <i class="fas fa-save fa-3x"></i>

            </button> -->

          </div>

          <div class="au-task js-list-load">

            <div class="px-3 my-3">

              <div class="card mt-3 border-0">

                  <?=form_open(base_url('superadmin/saveFeatures.html')) ?>

                  <div class="row form-group my-3">

                    <div class="col-md-12">

                      <div class="input-group gap-1">

                        <input type="text" id="feature" name="feature" placeholder="Enter Feature Name..." class="form-control" required>

                        <div class="input-group-btn">

                          <button class="btn btn-success text-center showLoader" type="submit">

                            <i class="fas fa-save"></i> Save Features

                          </button>

                        </div>

                      </div>

                    </div>

                  </div>

                  <?=form_close() ?>

                  

                  <?php foreach ($this->crud->getDataAll('features', 'title', 'ASC') as $feature): ?>

                    <?=form_open(base_url('superadmin/updateFeatures.html')) ?>

                    <div class="row form-group my-3">

                      <div class="col-md-12">

                        <div class="input-group gap-1">

                          <input type="text" id="feature" name="feature" value="<?=$feature->title ?>" placeholder="Feature Name" class="form-control" required>

                          <div class="input-group-btn gap-1">

                            <input type="hidden" name="id" value="<?=hashed($feature->id) ?>">

                            <button class="btn btn-warning text-center showLoader" type="submit">

                              <i class="fas fa-save"></i> Update

                            </button>

                            <a class="btn btn-danger text-center" href="<?=base_url('superadmin/deleteFeatures/'.hashed($feature->id).'.html')?>" onclick="return confirm('Are you sure?')">

                              <i class="fas fa-trash"></i> Delete

                            </a>

                          </div>

                        </div>

                      </div>

                    </div>

                    <?=form_close() ?>

                  <?php endforeach; ?>

              </div>

            </div>

          </div>

        </div>

      </div>

    </div>

  </div>

  <br>

</div>

</div>

