<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-envelope fa-fw"></i> Showing <span id="dynamicTitle"><strong>All Subscribers</strong></span>
              </h3>
              <?php if ($this->session->userdata('role') == 'admin'): ?>
                <a href="<?=base_url('superadmin/exportNewsletter.html')?>" class="btn btn-primary btn-xs" data-toggle="tooltip" title="Export contact messages" disabled="false" style="transform: scale(0.7);">
                  <strong class="text-light"><i class="fas fa-download"></i> Export</strong>
                </a>
              <?php endif; ?>
          </div>
          <div class="au-task js-list-load">
            <div class="px-3 my-3">
              <div class="row">
                <div class="col-md-12">
                  <div class="tab-content">
                    <div class="tab-pane active" id="ContactMessages">
                      <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-sm dt">
                          <thead>
                            <tr>
                              <th class="text-center">#</th>
                              <th>Email Address</th>
                              <th class="text-center">Status</th>
                              <th class="text-center">IP Address</th>
                              <th class="text-center">Added At</th>
                              <th class="text-center">Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            <?php $i=1; foreach ($this->crud->getDataAll('newsletters', 'id', 'desc') as $subscriber): ?>
                              <tr>
                                <td>
                                  <?=$i ?>
                                </td>
                                <td>
                                  <?=$subscriber->email ?>
                                </td>
                                <td class="text-center">
                                  <?=$subscriber->status == '1'?'Opt In':'Opt Out' ?>
                                </td>
                                <td class="text-center">
                                  <?=$subscriber->ip ?>
                                </td>
                                <td class="text-center">
                                  <?=daysago($subscriber->added) ?>
                                </td>
                                <td class="text-center">
                                  <div class="btn-group">
                                    <a href="<?=base_url('superadmin/deleteSubscriber/'.hashed($subscriber->id).'.html')?>" onclick="return confirm('Are you sure?')" class="btn btn-sm btn-danger" data-toggle="tooltip" title="View Message" data-placement="left">
                                      <i class="fas fa-trash"></i> Delete
                                    </a>
                                  </div>
                                </td>
                              </tr>
                              <?php $i++; endforeach; ?>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
