<!-- MAIN CONTENT -->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg.png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3 class="text-dark">
                <i class="fas fa-file fa-fw"></i> <?=$seoTitle ?>
              </h3>
            </div>
            <div class="au-task js-list-load">
              <div class="px-3 my-3">
                <div class="mt-3 mb-4">
                  <div class="row">
                    <!-- Loop through team members -->
                    <?php $i = 1; foreach ($this->crud->getDataAll('team', 'id', 'desc') as $team): ?>
                    <div class="col-lg-4 mb-3">
                      <div class="card">
                        <div class="card-body">
                          <?=form_open(base_url('superadmin/updateTeamDetails.html'),['enctype'=>'multipart/form-data']) ?>
                            <!-- Placeholder for existing image -->
                            <div class="form-group text-center">
                              <img id="photo-preview-<?=$i?>" src="<?=base_url($team->photos) ?>" alt="Team Member Photo" class="img-fluid img-thumbnail mb-3" style="max-height: 200px;">
                            </div>
                            <div class="form-group">
                              <label for="name-<?=$i?>" class="text-secondary">Name <span class="text-danger">*</span></label>
                              <input type="text" id="name-<?=$i?>" name="name" value="<?=$team->name ?>" class="form-control" required>
                            </div>
                            <div class="form-group">
                              <label for="position-<?=$i?>" class="text-secondary">Position <span class="text-danger">*</span></label>
                              <input type="text" id="position-<?=$i?>" name="position" value="<?=$team->position ?>" class="form-control" required>
                            </div>
                            <div class="form-group">
                              <label for="linkedin-<?=$i?>" class="text-secondary">LinkedIn</label>
                              <input type="text" id="linkedin-<?=$i?>" name="linkedin" value="<?=$team->linkedin ?>" class="form-control">
                            </div>
                            <div class="form-group">
                              <label for="photos-<?=$i?>" class="text-secondary">Photo</label>
                              <input type="file" id="photos-<?=$i?>" name="photos" class="form-control-file" accept="image/*" onchange="previewImage(event, 'photo-preview-<?=$i?>')">
                            </div>
                            <div class="form-group d-flex justify-content-between">
                              <input type="hidden" name="id" value="<?=$team->id ?>">
                              <button type="submit" class="showLoader btn btn-sm btn-primary w-100 mr-2">
                                <i class="fas fa-save"></i> Update Details
                              </button>
                              <a href="<?=base_url('superadmin/deleteTeamDetails/'.$team->id.'.html') ?>" class="btn btn-sm btn-danger w-100 ml-2" onclick="return confirm('Are you sure?')">
                                <i class="fas fa-trash"></i> Delete Details
                              </a>
                            </div>
                          <?=form_close() ?>
                        </div>
                      </div>
                    </div>
                    <?php $i++; endforeach; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
