<!-- MAIN CONTENT-->


<div class="main-content">


  <div class="section__content section__content--p30">


    <div class="container-fluid">


      <div class="row">


        <div class="col-lg-12">


          <div class="au-card au-card--no-shadow au-card--no-pad">


            <div class="au-card-title" style="background-image:url('<?=base_url('upload/misc/Structural-Engineering-800x500.jpg') ?>');">


              <div class="bg-overlay bg-overlay--blue"></div>


              <h3>


                <i class="fa fa-<?=$setting->icon ?>"></i> <?=ucwords($setting->text) ?> - Update Setting


              </h3>


              <a href="<?=base_url('superadmin/setting.html') ?>" class="au-btn-plus showLoader">


              <span><i class="fas fa-cog"></i> <span class="d-none d-sm-inline-block">Change Setting</span></span>


              </a>


            </div>


            <div class="au-task js-list-load">


              <div class="au-task__title">


                <p><?=ucwords($setting->desc) ?></p>


              </div>


              <div class="px-4 py-2">


                <div class="row">


                  <div class="col-md-4">


                    <div class="card newcard py-4 shadow-lg border border-primary">


                      <div class="card-body card-lf pb-0">


                        <ul class="nav nav-pills flex-column">


                          <?php foreach ($this->crud->getDataAll('settings') as $setting): ?>


                            <?php if ($setting->name === $this->uri->segment(3)): ?>


                              <li class="nav-item">


                                <a href="<?=base_url('superadmin/setting/'.$setting->name.'.html') ?>" class="showLoader nav-link active">


                                  <i class="fas fa-<?=$setting->icon ?> fa-fw"></i> <?=$setting->text ?>


                                </a>


                              </li>


                            <?php else: ?>


                              <li class="nav-item">


                                <a href="<?=base_url('superadmin/setting/'.$setting->name.'.html') ?>" class="showLoader nav-link">


                                  <i class="fas fa-<?=$setting->icon ?> fa-fw"></i> <?=$setting->text ?>


                                </a>


                              </li>


                            <?php endif; ?>


                          <?php endforeach; ?>


                        </ul>


                      </div>


                    </div>


                  </div>


                  <div class="col-md-8">


                    <?php $settingData = $this->crud->getDataSingle('settings', $this->uri->segment(3), 'name', false) ?>


                    <?php if ($settingData->type === 'textarea'){ ?>


                      <?=form_open(base_url('superadmin/saveUpdateSetting.html')) ?>


                      <div class="card card newcard" id="settings-card">


                        <div class="card-icon settingBoxesIconBox">


                          <h4><i class="fas fa-<?=$settingData->icon ?> fa-fw"></i> <?=$settingData->text ?></h4>


                        </div>


                        <div class="card-body">


                          <p class="text-muted"><?=$setting->desc ?></p>


                          <div class="row align-items-center">


                            <div class="col-12">


                              <textarea class="form-control" rows="5" name="value" id="value"><?=$settingData->value ?></textarea>


                            </div>


                          </div>


                        </div>


                        <div class="border-0 card-footer bg-whitesmoke text-center">


                          <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">


                          <button class="au-btn-plus showLoader" id="save-btn"><i class="fas fa-save fa-fw"></i> Update <strong><?=$settingData->text ?></strong> Setting</button>


                        </div>


                      </div>


                      <?=form_close() ?>


                    <?php }else if($settingData->type === 'media'){ ?>


                      <?=form_open(base_url('superadmin/uploadLogo.html'), array('enctype'=>'multipart/form-data')) ?>


                      <div class="card card newcard" id="settings-card">


                        <div class="card-icon settingBoxesIconBox">


                          <h4><i class="fas fa-<?=$settingData->icon ?> fa-fw"></i> <?=$settingData->text ?></h4>


                        </div>


                        <div class="card-body">


                          <p class="text-muted"><?=$setting->desc ?></p>


                          <div class="row align-items-center">


                            <div class="col-12">


                              <div class="custom-file">


                                <input type="file" id="site_logo" name="site_logo" class="custom-file-input">


                                <label class="custom-file-label" for="site_logo">Choose File</label>


                              </div>


                              <div class="form-text text-muted" id="loading">The image must have a maximum size of 5MB</div>


                            </div>


                          </div>


                          <div class="row align-items-center">


                            <div class="col-md-12 text-center">


                              <img src="<?=base_url($settingData->value) ?>" alt="<?=$settingData->name ?>" id="logo_demo" class="img-thumbnails">


                            </div>


                          </div>


                        </div>


                        <div class="border-0 card-footer bg-whitesmoke text-center">


                          <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">


                          <button class="au-btn-plus showLoader" id="save-btn"><i class="fas fa-upload fa-fw"></i> Update <strong>Website</strong> Logo</button>


                        </div>


                      </div>


                      <?=form_close() ?>


                    <?php }else{ ?>


                      <?=form_open(base_url('superadmin/saveUpdateSetting.html')) ?>


                      <div class="card card newcard" id="settings-card">


                        <div class="card-icon settingBoxesIconBox">


                          <h4><i class="fas fa-<?=$settingData->icon ?> fa-fw"></i> <?=$settingData->text ?></h4>


                        </div>


                        <div class="card-body">


                          <p class="text-muted"><?=$setting->desc ?></p>


                          <div class="row align-items-center">


                            <div class="col-12">


                              <input type="text" name="value" value="<?=$settingData->value ?>" class="form-control" id="value">


                            </div>


                          </div>


                        </div>


                        <div class="border-0 card-footer bg-whitesmoke text-center">


                          <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">


                          <button class="au-btn-plus showLoader" id="save-btn"><i class="fas fa-save fa-fw"></i> Update <strong><?=$settingData->text ?></strong> Setting</button>


                        </div>


                      </div>


                      <?=form_close() ?>


                    <?php } ?>


                  </div>


                </div>


              </div>


            </div>


            <!-- <div class="au-task__footer">


          </div> -->


        </div>


      </div>


    </div>


    <br>


  </div>


</div>


</div>


</div>


