<!-- MAIN CONTENT-->
<div class="main-content">
  <div class="section__content section__content--p30">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="au-card au-card--no-shadow au-card--no-pad">
            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">
              <div class="bg-overlay bg-overlay--blue"></div>
              <h3>
                <i class="fas fa-cog fa-fw fa-spin"></i> <?=$seoTitle ?>
              </h3>
              <a href="<?=base_url('superadmin/addTestimonial.html')?>" class="au-btn-plus showLoader" data-toggle="tooltip" title="Add Testimonials">
                <strong class="text-light" style="font-size:30px;padding-left:15px">+</strong>
              </a>
            </div>
            <div class="au-task js-list-load">
              <div class="px-3 my-3">
                <div class="mt-3 mb-4">                  
                  <table class="table dt">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Name</th>
                        <th>Position</th>
                        <th>Content</th>
                        <th>Rating</th>
                        <th>Photos</th>
                        <th>Status</th>
                        <th>Added</th>
                        <th class="text-center">Action</th>
                      </tr>
                    </thead>
                    <tbody>
                      
                    <?php $i=1; foreach ($this->crud->getDataAll('testimonials') as $testimonial): ?>
                      <tr>
                        <td><?=$i ?></td>
                        <td>
                          <?=$testimonial->name ?>
                        </td>
                        <td>
                          <?=$testimonial->position ?>
                        </td>
                        <td>
                          <?=$testimonial->content ?>
                        </td>
                        <td>
                          <?=$testimonial->rating ?>
                        </td>
                        <td>
                          <img src="<?=base_url($testimonial->photos)?>" alt="<?=$testimonial->name ?>" class="img-thumbnail rounded-circle" style="max-width:100px;">
                        </td>
                        <td>
                          <?=ucwords($testimonial->status) ?>
                        </td>
                        <td>
                          <?=date('d M, Y', strtotime($testimonial->added)) ?>
                        </td>
                        <td class="text-center">
                          <!-- <a href="<?=base_url('superadmin/editTestimonial/'.hashed($testimonial->id).'.html')?>" class="btn btn-sm btn-warning showLoader">
                            <i class="fas fa-edit"></i>
                          </a> -->
                          <a href="<?=base_url('superadmin/deleteTestimonial/'.hashed($testimonial->id).'.html')?>" class="btn btn-sm btn-danger showLoader" onclick="return confirm('Are you sure?')">
                            <i class="fas fa-trash"></i>
                          </a>
                        </td>
                      </tr>
                      <?php $i++; endforeach; ?>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <br>
    </div>
  </div>
