<!-- MAIN CONTENT-->

<div class="main-content">

  <div class="section__content section__content--p30">

    <div class="container-fluid">

      <div class="row">

        <div class="col-lg-12">

          <div class="au-card au-card--no-shadow au-card--no-pad">

            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">

              <div class="bg-overlay bg-overlay--blue"></div>

              <h3>

                <i class="fas fa-cog fa-fw fa-spin"></i> <?=$seoTitle ?> in <strong><?=$property->title ?></strong> 

                <a href="<?=base_url('property/'.$property->uri.'.html')?>" class="btn btn-sm" data-toggle="tooltip" title="Click here to view listing" target="_blank"><i class="fas fa-link"></i></a>

              </h3>

              <a href="<?=base_url('superadmin/manageProperty.html')?>" class="au-btn-plus showLoader" data-toggle="tooltip" title="Add Property Listing">
              <span><i class="fas fa-plus-circle"></i> <span class="d-none d-sm-inline-block">Add Property List</span></span>

              </a>

            </div>

            <div class="au-task js-list-load">

              <div class="px-3 my-3">

                <div class="card mt-3 border-0">

                  <ul class="nav nav-pills nav-justified">

                    <li class="nav-item" data-toggle="tooltip" title="Edit Property">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'editProperty')?'active':'' ?>" href="<?=base_url('superadmin/editProperty/'.$pid.'.html')?>"><i class="fas fa-edit fa-fw"></i> Edit Property</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Property Related Videos">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'uploadPropertyVideo')?'active':'' ?>" href="<?=base_url('superadmin/uploadPropertyVideo/'.$pid.'.html')?>"><i class="fas fa-video fa-fw"></i> Upload Video</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Property Attachments">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'uploadPropertyAttachments')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/uploadPropertyAttachments/'.$pid.'.html')?>"><i class="fas fa-upload fa-fw"></i> Prp. Attachment</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Floor Plan">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'floorPlans')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/floorPlans/'.$pid.'.html')?>"><i class="fas fa-plus fa-fw"></i> Floor Plan</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="All Property Listing">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'allPropertyList')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/allPropertyList.html')?>"><i class="fas fa-th fa-fw"></i> All Listing</a>

                    </li>

                  </ul>

                </div>

                <div class="mt-3 mb-4">

                  

                  <?=form_open(base_url('superadmin/uploadPropertyAttachments.html'),['enctype'=>'multipart/form-data']) ?>

                  

                  <div class="row form-group my-3">

                    <div class="col-md-12">

                      <div class="label text-secondary" for="title">

                        Property Title

                      </div>

                      <div class="input-group">

                        <input type="text" id="title" name="title" placeholder="Enter title..." class="form-control" required>

                      </div>

                    </div>

                  </div>

                  <div class="row form-group my-3">

                    <div class="col-md-12">

                      <div class="label text-secondary" for="file">

                        Attachment File

                      </div>

                      <div class="input-group">

                        <input type="file" id="file" name="file" placeholder="Upload file..." class="form-control fileInputAll">

                      </div>

                    </div>

                  </div>                

                  <div class="row form-group my-3">

                    <div class="col-md-12 d-flex justify-content-center">

                      <input type="hidden" name="pid" value="<?=hashed($property->id) ?>">

                      <button type="submit" class="showLoader btn au-btn-plus w-25 mr-3">

                        <i class="fas fa-upload"></i> Upload Property Attachment

                      </button>

                      <button type="reset" class="au-btn-plus  btn w-25 ml-3">

                        <i class="fas fa-eraser"></i> Clear All

                      </button>

                    </div>

                  </div>

                  

                  <?=form_close() ?>

                  

                  <ul class="list-group mt-3">

                    <?php $pp = $this->crud->getDataSingle('property_attachments', hashed($property->id), 'pid', true); ?>

                    

                    <?php foreach ($pp as $pa): ?>

                      <li class="list-group-item d-flex justify-content-between align-items-center">

                        <span class="lead">

                          <?=ucwords($pa->title) ?>

                          <a href="<?=base_url($pa->file)?>" class="showLoader btn btn-sm" target="_blank" download>

                            <i class="fas fa-file"></i>

                          </a>

                        </span>

                        <a href="<?=base_url('superadmin/deletePA/'.hashed($pa->id).'/'.hashed($property->id).'.html')?>" class="showLoader text-light" onclick="return confirm('Are you sure?')">

                          <span class="badge badge-danger badge-pill p-2">

                            <i class="fas fa-trash"></i>

                          </span>

                        </a>

                      </li>

                    <?php endforeach; ?>

                  </ul>

                  

                </div>

              </div>

            </div>

          </div>

        </div>

      </div>

    </div>

    <br>

  </div>

</div>

