<!-- MAIN CONTENT-->

<div class="main-content">

  <div class="section__content section__content--p30">

    <div class="container-fluid">

      <div class="row">

        <div class="col-lg-12">

          <div class="au-card au-card--no-shadow au-card--no-pad">

            <div class="au-card-title" style="background-image:url('<?=base_url('upload/loginbg..png') ?>');">

              <div class="bg-overlay bg-overlay--blue"></div>

              <h3>

                <i class="fas fa-video fa-fw"></i> <?=$seoTitle ?>: <strong><?=$prp->title ?></strong> 

                <a href="<?=base_url('property/'.$prp->uri.'.html')?>" class="btn btn-sm" data-toggle="tooltip" title="Click here to view listing" target="_blank"><i class="fas fa-link"></i></a>

              </h3>



              
              <a href="<?=base_url('superadmin/manageProperty.html')?>" class="au-btn-plus showLoader" data-toggle="tooltip" title="Add Property Listing">

              <span><i class="fas fa-plus-circle"></i> <span class="d-none d-sm-inline-block">Add Property List</span></span>

              </a>

            </div>

            <div class="au-task js-list-load">

              <div class="px-3 my-3">

                <div class="card mt-3 border-0">

                  <ul class="nav nav-pills nav-justified">

                    <li class="nav-item" data-toggle="tooltip" title="Edit Property">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'editProperty')?'active':'' ?>" href="<?=base_url('superadmin/editProperty/'.hashed($prp->id).'.html')?>"><i class="fas fa-edit fa-fw"></i> Edit Property</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Property Related Videos">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'uploadPropertyVideo')?'active':'' ?>" href="<?=base_url('superadmin/uploadPropertyVideo/'.hashed($prp->id).'.html')?>"><i class="fas fa-video fa-fw"></i> Upload Video</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Property Attachments">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'uploadPropertyAttachments')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/uploadPropertyAttachments/'.hashed($prp->id).'.html')?>"><i class="fas fa-upload fa-fw"></i> Prp. Attachment</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="Upload Floor Plan">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'floorPlans')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/floorPlans/'.hashed($prp->id).'.html')?>"><i class="fas fa-plus fa-fw"></i> Floor Plan</a>

                    </li>

                    <li class="nav-item" data-toggle="tooltip" title="All Property Listing">

                      <a class="nav-link showLoader <?=($this->uri->segment(2) === 'manageProperty' && $this->uri->segment(3) === 'allPropertyList')?'active':'' ?>" href="<?=base_url('superadmin/manageProperty/allPropertyList.html')?>"><i class="fas fa-th fa-fw"></i> All Listing</a>

                    </li>

                  </ul>

                </div>

                <div class="mt-3 mb-4">

                  <?=form_open(base_url('superadmin/updatePropertyVideo.html'),['enctype'=>'multipart/form-data','id'=>'upload_form']) ?>

                  

                  <div class="row form-group my-3">

                    <div class="col-md-12">

                      <div class="label text-secondary" for="photo_gallery">

                        Upload Video

                      </div>

                      <div class="input-group">

                        <input type="file" name="uploadingfile" id="uploadingfile" placeholder="Upload property video..." class="form-control" accept="video/mp4,video/x-m4v,video/*">

                      </div>

                    </div>

                  </div>

                  

                  <div class="form-group">

                    <div class="progress" id="progressDiv" style="display:none;">

                      <progress id="progressBar" value="0" max="100" style="width:100%; height: 1.2rem;"></progress>

                    </div>

                  </div>

                  <div class="form-group">

                    <h3 id="status"></h3>

                    <p class="alert alert-success mt-2" id="uploaded_progress" style="display:none;"></p>

                  </div>

                  

                  <div class="row form-group my-3">

                    <div class="col-md-12 d-flex justify-content-center">

                      <input type="hidden" name="pid" id="pid" value="<?=hashed($prp->id) ?>">

                      <button type="button" class="au-btn-plus btn w-25 mr-3" onclick="uploadFileHandler()">

                        <i class="fas fa-upload"></i> Upload Video

                      </button>

                      <button type="reset" class="au-btn-plus btn w-25 ml-3">

                        <i class="fas fa-eraser"></i> Clear All

                      </button>

                    </div>

                  </div>

                  

                  <div class="row">

                    <?php foreach ($this->crud->getDataSingle('gallery', $prp->id, 'pid', true) as $video): ?>

                      <?php if ($video->type === 'video'): ?>

                        <div class="col-md-6" style="position:relative;">

                          <a href="<?=base_url('superadmin/deletePrpertyGalleryVideo/'.hashed($prp->id).'/'.hashed($video->id).'.html')?>" class="btn btn-sm btn-danger" style="position:absolute;top:0;right:20px;z-index:999" onclick="return confirm('Are you sure?')">

                            <i class="fas fa-trash"></i>

                          </a>

                          <video width="100%" height="240" controls>

                            <source src="<?=base_url($video->src)?>" type="video/mp4">

                                Your browser does not support the video tag.

                              </video>

                            </div>

                          <?php endif; ?>

                        <?php endforeach; ?>

                      </div>

                      

                      

                      <?=form_close() ?>

                      

                    </div>

                  </div>

                </div>

              </div>

            </div>

          </div>

        </div>

        <br>

      </div>

    </div>

